com.corticon.rulesemf.canonicalvocabularymodel

## Interface CanonicalvocabularymodelPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface CanonicalvocabularymodelPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `CanonicalvocabularymodelFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CanonicalvocabularymodelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASSOCIATION_END_EXTENSION` The meta object id for the '`Association End Extension`' class
    `static int` | `ASSOCIATION_END_EXTENSION__GUID` The feature id for the 'Guid' attribute
    `static int` | `ASSOCIATION_END_EXTENSION__IDENTITY_ENTITY` The feature id for the 'Identity Entity' reference
    `static int` | `ASSOCIATION_END_EXTENSION__JAVA_OBJECT_FIELD_NAME` The feature id for the 'Java Object Field Name' containment reference
    `static int` | `ASSOCIATION_END_EXTENSION__JAVA_OBJECT_GET_METHOD` The feature id for the 'Java Object Get Method' containment reference
    `static int` | `ASSOCIATION_END_EXTENSION__JAVA_OBJECT_SET_METHOD` The feature id for the 'Java Object Set Method' containment reference
    `static int` | `ASSOCIATION_END_EXTENSION__JOIN_EXPRESSION` The feature id for the 'Join Expression' containment reference
    `static int` | `ASSOCIATION_END_EXTENSION__NAME` The feature id for the 'Name' containment reference list
    `static int` | `ASSOCIATION_END_EXTENSION__SOURCE` The feature id for the 'Source' attribute
    `static int` | `ASSOCIATION_END_EXTENSION__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `ASSOCIATION_END_EXTENSION__XML_PROPERTY_NAME` The feature id for the 'XML Property Name' containment reference
    `static int` | `ASSOCIATION_END_EXTENSION_FEATURE_COUNT` The number of structural features of the 'Association End Extension' class
    `static int` | `ATTRIBUTE_EXTENSION` The meta object id for the '`Attribute Extension`' class
    `static int` | `ATTRIBUTE_EXTENSION__CUSTOM_DATA_TYPE` The feature id for the 'Custom Data Type' reference
    `static int` | `ATTRIBUTE_EXTENSION__DATA_TYPE` The feature id for the 'Data Type' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__FIELD_COLUMN` The feature id for the 'Field Column' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__FIELD_DEFAULT_FETCH_GROUP` The feature id for the 'Field Default Fetch Group' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__FIELD_NULL_VALUE` The feature id for the 'Field Null Value' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__FIELD_SEQUENCE` The feature id for the 'Field Sequence' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NAME_COLUMN_NAME` The feature id for the 'Field Sequence Name Column Name' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NEXTVAL_COLUMN_NAME` The feature id for the 'Field Sequence Nextval Column Name' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_TABLE_NAME` The feature id for the 'Field Sequence Table Name' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__FIELD_VALUE_STRATEGY` The feature id for the 'Field Value Strategy' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__GUID` The feature id for the 'Guid' attribute
    `static int` | `ATTRIBUTE_EXTENSION__IDENTITY_ENTITY` The feature id for the 'Identity Entity' reference
    `static int` | `ATTRIBUTE_EXTENSION__JAVA_OBJECT_FIELD_NAME` The feature id for the 'Java Object Field Name' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__JAVA_OBJECT_GET_METHOD` The feature id for the 'Java Object Get Method' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__JAVA_OBJECT_SET_METHOD` The feature id for the 'Java Object Set Method' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__MODE` The feature id for the 'Mode' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__NAME` The feature id for the 'Name' containment reference list
    `static int` | `ATTRIBUTE_EXTENSION__SOURCE` The feature id for the 'Source' attribute
    `static int` | `ATTRIBUTE_EXTENSION__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `ATTRIBUTE_EXTENSION__XML_NAMESPACE` The feature id for the 'XML Namespace' containment reference
    `static int` | `ATTRIBUTE_EXTENSION__XML_PROPERTY_NAME` The feature id for the 'XML Property Name' containment reference
    `static int` | `ATTRIBUTE_EXTENSION_FEATURE_COUNT` The number of structural features of the 'Attribute Extension' class
    `static int` | `CUSTOM_DATA_TYPE` The meta object id for the '`Custom Data Type`' class
    `static int` | `CUSTOM_DATA_TYPE__BASE_DATA_TYPE` The feature id for the 'Base Data Type' containment reference
    `static int` | `CUSTOM_DATA_TYPE__CONSTRAINT_EXPRESSION` The feature id for the 'Constraint Expression' containment reference
    `static int` | `CUSTOM_DATA_TYPE__DATA_TYPE_NAME` The feature id for the 'Data Type Name' containment reference list
    `static int` | `CUSTOM_DATA_TYPE__DATABASE_LOOKUP_PROPERTIES` The feature id for the 'Database Lookup Properties' containment reference
    `static int` | `CUSTOM_DATA_TYPE__DISCOVERED` The feature id for the 'Discovered' attribute
    `static int` | `CUSTOM_DATA_TYPE__EDATA_TYPE` The feature id for the 'EData Type' reference
    `static int` | `CUSTOM_DATA_TYPE__ENUMERATION` The feature id for the 'Enumeration' containment reference
    `static int` | `CUSTOM_DATA_TYPE__ENUMERATION_DISPLAY_COUNT` The feature id for the 'Enumeration Display Count' attribute
    `static int` | `CUSTOM_DATA_TYPE__ENUMERATION_ELEMENTS` The feature id for the 'Enumeration Elements' containment reference list
    `static int` | `CUSTOM_DATA_TYPE__GUID` The feature id for the 'Guid' attribute
    `static int` | `CUSTOM_DATA_TYPE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `CUSTOM_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Custom Data Type' class
    `static int` | `DATA_TYPE` The meta object id for the '`Data Type`' enum
    `static int` | `DATA_TYPE_MAPPING` The meta object id for the '`Data Type Mapping`' class
    `static int` | `DATA_TYPE_MAPPING__EXTENDED_TYPE` The feature id for the 'Extended Type' containment reference
    `static int` | `DATA_TYPE_MAPPING__VOCABULARY_DATA_TYPE` The feature id for the 'Vocabulary Data Type' containment reference
    `static int` | `DATA_TYPE_MAPPING_FEATURE_COUNT` The number of structural features of the 'Data Type Mapping' class
    `static int` | `DATABASE_ACCESS` The meta object id for the '`Database Access`' class
    `static int` | `DATABASE_ACCESS__CATALOG_FILTER` The feature id for the 'Catalog Filter' containment reference
    `static int` | `DATABASE_ACCESS__DATABASE_ID` The feature id for the 'Database Id' containment reference
    `static int` | `DATABASE_ACCESS__DATABASE_PROPERTY_DISPLAY_COUNT` The feature id for the 'Database Property Display Count' attribute
    `static int` | `DATABASE_ACCESS__DATABASE_PROPERTY_LIST` The feature id for the 'Database Property List' containment reference list
    `static int` | `DATABASE_ACCESS__DATABASE_URL` The feature id for the 'Database URL' containment reference
    `static int` | `DATABASE_ACCESS__JDBC_DRIVER_CLASS` The feature id for the 'Jdbc Driver Class' containment reference
    `static int` | `DATABASE_ACCESS__PASSWORD` The feature id for the 'Password' containment reference
    `static int` | `DATABASE_ACCESS__SCHEMA_FILTER` The feature id for the 'Schema Filter' containment reference
    `static int` | `DATABASE_ACCESS__USERNAME` The feature id for the 'Username' containment reference
    `static int` | `DATABASE_ACCESS_FEATURE_COUNT` The number of structural features of the 'Database Access' class
    `static int` | `DATABASE_LOOKUP_PROPERTIES` The meta object id for the '`Database Lookup Properties`' class
    `static int` | `DATABASE_LOOKUP_PROPERTIES__LABELS_COLUMN_NAME` The feature id for the 'Labels Column Name' containment reference
    `static int` | `DATABASE_LOOKUP_PROPERTIES__TABLE_NAME` The feature id for the 'Table Name' containment reference
    `static int` | `DATABASE_LOOKUP_PROPERTIES__VALUES_COLUMN_NAME` The feature id for the 'Values Column Name' containment reference
    `static int` | `DATABASE_LOOKUP_PROPERTIES_FEATURE_COUNT` The number of structural features of the 'Database Lookup Properties' class
    `static int` | `DATABASE_PROPERTY` The meta object id for the '`Database Property`' class
    `static int` | `DATABASE_PROPERTY__NAME` The feature id for the 'Name' containment reference
    `static int` | `DATABASE_PROPERTY__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `DATABASE_PROPERTY__VALUE` The feature id for the 'Value' containment reference
    `static int` | `DATABASE_PROPERTY_FEATURE_COUNT` The number of structural features of the 'Database Property' class
    `static int` | `DATE` The meta object id for the 'Date' data type
    `static int` | `DATE_TIME` The meta object id for the 'Date Time' data type
    `static int` | `DOMAIN_EXTENSION` The meta object id for the '`Domain Extension`' class
    `static int` | `DOMAIN_EXTENSION__GUID` The feature id for the 'Guid' attribute
    `static int` | `DOMAIN_EXTENSION__NAME` The feature id for the 'Name' containment reference list
    `static int` | `DOMAIN_EXTENSION__SOURCE` The feature id for the 'Source' attribute
    `static int` | `DOMAIN_EXTENSION__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `DOMAIN_EXTENSION_FEATURE_COUNT` The number of structural features of the 'Domain Extension' class
    `static CanonicalvocabularymodelPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `ENTITY_EXTENSION` The meta object id for the '`Entity Extension`' class
    `static int` | `ENTITY_EXTENSION__CLASS_TABLE` The feature id for the 'Class Table' containment reference
    `static int` | `ENTITY_EXTENSION__DATASTORE_CACHING` The feature id for the 'Datastore Caching' containment reference
    `static int` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_COLUMN` The feature id for the 'Datastore Identity Column' containment reference
    `static int` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE` The feature id for the 'Datastore Identity Sequence' containment reference
    `static int` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NAME_COLUMN_NAME` The feature id for the 'Datastore Identity Sequence Name Column Name' containment reference
    `static int` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NEXTVAL_COLUMN_NAME` The feature id for the 'Datastore Identity Sequence Nextval Column Name' containment reference
    `static int` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_TABLE_NAME` The feature id for the 'Datastore Identity Sequence Table Name' containment reference
    `static int` | `ENTITY_EXTENSION__DATASTORE_IDENTITY_STRATEGY` The feature id for the 'Datastore Identity Strategy' containment reference
    `static int` | `ENTITY_EXTENSION__DATASTORE_PERSISTENT` The feature id for the 'Datastore Persistent' containment reference
    `static int` | `ENTITY_EXTENSION__GUID` The feature id for the 'Guid' attribute
    `static int` | `ENTITY_EXTENSION__IDENTITY_ASSOCIATION_ENDS` The feature id for the 'Identity Association Ends' reference list
    `static int` | `ENTITY_EXTENSION__IDENTITY_ATTRIBUTES` The feature id for the 'Identity Attributes' reference list
    `static int` | `ENTITY_EXTENSION__JAVA_CLASS_NAME` The feature id for the 'Java Class Name' containment reference
    `static int` | `ENTITY_EXTENSION__JAVA_PACKAGE` The feature id for the 'Java Package' containment reference
    `static int` | `ENTITY_EXTENSION__NAME` The feature id for the 'Name' containment reference list
    `static int` | `ENTITY_EXTENSION__SOURCE` The feature id for the 'Source' attribute
    `static int` | `ENTITY_EXTENSION__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `ENTITY_EXTENSION__VERSION_COLUMN` The feature id for the 'Version Column' containment reference
    `static int` | `ENTITY_EXTENSION__VERSION_STRATEGY` The feature id for the 'Version Strategy' containment reference
    `static int` | `ENTITY_EXTENSION__XML_CLASS_NAME` The feature id for the 'XML Class Name' containment reference
    `static int` | `ENTITY_EXTENSION__XML_NAMESPACE` The feature id for the 'XML Namespace' containment reference
    `static int` | `ENTITY_EXTENSION_FEATURE_COUNT` The number of structural features of the 'Entity Extension' class
    `static int` | `ENTITY_MAPPING` The meta object id for the '`Entity Mapping`' class
    `static int` | `ENTITY_MAPPING__EXTENDED_TABLE` The feature id for the 'Extended Table' containment reference
    `static int` | `ENTITY_MAPPING__VOCABULARY_ENTITY` The feature id for the 'Vocabulary Entity' containment reference
    `static int` | `ENTITY_MAPPING_FEATURE_COUNT` The number of structural features of the 'Entity Mapping' class
    `static int` | `ENUMERATION_ELEMENT` The meta object id for the '`Enumeration Element`' class
    `static int` | `ENUMERATION_ELEMENT__GUID` The feature id for the 'Guid' attribute
    `static int` | `ENUMERATION_ELEMENT__LABEL` The feature id for the 'Label' containment reference list
    `static int` | `ENUMERATION_ELEMENT__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `ENUMERATION_ELEMENT__VALUE` The feature id for the 'Value' containment reference
    `static int` | `ENUMERATION_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Enumeration Element' class
    `static int` | `EXTENDED_PERSISTENT_ATTRIBUTES` The meta object id for the '`Extended Persistent Attributes`' class
    `static int` | `EXTENDED_PERSISTENT_ATTRIBUTES__DATA_TYPE_MAPPINGS` The feature id for the 'Data Type Mappings' containment reference list
    `static int` | `EXTENDED_PERSISTENT_ATTRIBUTES__ENTITY_MAPPINGS` The feature id for the 'Entity Mappings' containment reference list
    `static int` | `EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_ATTRIBUTE_COLUMN` The feature id for the 'Extended Attribute Column' containment reference
    `static int` | `EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TABLE_COLUMN` The feature id for the 'Extended Table Column' containment reference
    `static int` | `EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TYPE_COLUMN` The feature id for the 'Extended Type Column' containment reference
    `static int` | `EXTENDED_PERSISTENT_ATTRIBUTES__PRIMARY_KEY_COLUMN` The feature id for the 'Primary Key Column' containment reference
    `static int` | `EXTENDED_PERSISTENT_ATTRIBUTES__TABLE_NAME` The feature id for the 'Table Name' containment reference
    `static int` | `EXTENDED_PERSISTENT_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Extended Persistent Attributes' class
    `static int` | `NAMED_EXTENSION` The meta object id for the '`Named Extension`' class
    `static int` | `NAMED_EXTENSION__GUID` The feature id for the 'Guid' attribute
    `static int` | `NAMED_EXTENSION__NAME` The feature id for the 'Name' containment reference list
    `static int` | `NAMED_EXTENSION__SOURCE` The feature id for the 'Source' attribute
    `static int` | `NAMED_EXTENSION_FEATURE_COUNT` The number of structural features of the 'Named Extension' class
    `static int` | `ROOT_EXTENSION` The meta object id for the '`Root Extension`' class
    `static int` | `ROOT_EXTENSION__BUILD_NUMBER` The feature id for the 'Build Number' attribute
    `static int` | `ROOT_EXTENSION__CURRENT_CUSTOM_DATA_TYPE` The feature id for the 'Current Custom Data Type' reference
    `static int` | `ROOT_EXTENSION__CURRENT_VOCABULARY_ELEMENT` The feature id for the 'Current Vocabulary Element' reference
    `static int` | `ROOT_EXTENSION__CUSTOM_DATA_TYPE_DISPLAY_COUNT` The feature id for the 'Custom Data Type Display Count' attribute
    `static int` | `ROOT_EXTENSION__CUSTOM_DATA_TYPE_LIST` The feature id for the 'Custom Data Type List' containment reference list
    `static int` | `ROOT_EXTENSION__DATABASE_ACCESS` The feature id for the 'Database Access' containment reference
    `static int` | `ROOT_EXTENSION__DATABASE_METADATA` The feature id for the 'Database Metadata' containment reference
    `static int` | `ROOT_EXTENSION__EXTENDED_PERSISTENT_ATTRIBUTES` The feature id for the 'Extended Persistent Attributes' containment reference list
    `static int` | `ROOT_EXTENSION__EXTERNAL_CHECKSUM` The feature id for the 'External Checksum' attribute
    `static int` | `ROOT_EXTENSION__GUID` The feature id for the 'Guid' attribute
    `static int` | `ROOT_EXTENSION__JAVA_METADATA` The feature id for the 'Java Metadata' containment reference
    `static int` | `ROOT_EXTENSION__LANGUAGE_CODE` The feature id for the 'Language Code' attribute list
    `static int` | `ROOT_EXTENSION__MAJOR_SERVICE_NUMBER` The feature id for the 'Major Service Number' attribute
    `static int` | `ROOT_EXTENSION__MAJOR_VERSION_NUMBER` The feature id for the 'Major Version Number' attribute
    `static int` | `ROOT_EXTENSION__MINOR_SERVICE_NUMBER` The feature id for the 'Minor Service Number' attribute
    `static int` | `ROOT_EXTENSION__MINOR_VERSION_NUMBER` The feature id for the 'Minor Version Number' attribute
    `static int` | `ROOT_EXTENSION__NAME` The feature id for the 'Name' containment reference list
    `static int` | `ROOT_EXTENSION__READ_ONLY` The feature id for the 'Read Only' attribute
    `static int` | `ROOT_EXTENSION__SELECTION` The feature id for the 'Selection' attribute
    `static int` | `ROOT_EXTENSION__SOURCE` The feature id for the 'Source' attribute
    `static int` | `ROOT_EXTENSION__UPDATE_STAMP` The feature id for the 'Update Stamp' attribute
    `static int` | `ROOT_EXTENSION__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' containment reference list
    `static int` | `ROOT_EXTENSION__VALIDATION_REQUEST` The feature id for the 'Validation Request' attribute
    `static int` | `ROOT_EXTENSION__VOCABULARY_CACHE` The feature id for the 'Vocabulary Cache' attribute
    `static int` | `ROOT_EXTENSION_FEATURE_COUNT` The number of structural features of the 'Root Extension' class
    `static int` | `SELECTION` The meta object id for the 'Selection' data type
    `static int` | `TIME` The meta object id for the 'Time' data type
    `static int` | `VALUE_SET` The meta object id for the 'Value Set' data type
    `static int` | `VOCABULARY_BOOLEAN` The meta object id for the '`Vocabulary Boolean`' class
    `static int` | `VOCABULARY_BOOLEAN__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `VOCABULARY_BOOLEAN__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `VOCABULARY_BOOLEAN__VALUE` The feature id for the 'Value' attribute
    `static int` | `VOCABULARY_BOOLEAN_FEATURE_COUNT` The number of structural features of the 'Vocabulary Boolean' class
    `static int` | `VOCABULARY_DATA_TYPE` The meta object id for the '`Vocabulary Data Type`' class
    `static int` | `VOCABULARY_DATA_TYPE__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `VOCABULARY_DATA_TYPE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `VOCABULARY_DATA_TYPE__VALUE` The feature id for the 'Value' attribute
    `static int` | `VOCABULARY_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Vocabulary Data Type' class
    `static int` | `VOCABULARY_EXPRESSION` The meta object id for the '`Vocabulary Expression`' class
    `static int` | `VOCABULARY_EXPRESSION__EXTERNAL` The feature id for the 'External' attribute
    `static int` | `VOCABULARY_EXPRESSION__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `VOCABULARY_EXPRESSION__PARSER_OUTPUT` The feature id for the 'Parser Output' containment reference
    `static int` | `VOCABULARY_EXPRESSION__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `VOCABULARY_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Vocabulary Expression' class
    `static int` | `VOCABULARY_FACADE` The meta object id for the 'Vocabulary Facade' data type
    `static int` | `VOCABULARY_PROPERTY` The meta object id for the '`Vocabulary Property`' class
    `static int` | `VOCABULARY_PROPERTY__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `VOCABULARY_PROPERTY__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `VOCABULARY_PROPERTY_FEATURE_COUNT` The number of structural features of the 'Vocabulary Property' class
    `static int` | `VOCABULARY_STRING` The meta object id for the '`Vocabulary String`' class
    `static int` | `VOCABULARY_STRING__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `VOCABULARY_STRING__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `VOCABULARY_STRING__VALUE` The feature id for the 'Value' attribute
    `static int` | `VOCABULARY_STRING_FEATURE_COUNT` The number of structural features of the 'Vocabulary String' class
    `static int` | `VOCABULARY_VALUE_SET` The meta object id for the '`Vocabulary Value Set`' class
    `static int` | `VOCABULARY_VALUE_SET__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `VOCABULARY_VALUE_SET__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `VOCABULARY_VALUE_SET__VALUE` The feature id for the 'Value' attribute
    `static int` | `VOCABULARY_VALUE_SET_FEATURE_COUNT` The number of structural features of the 'Vocabulary Value Set' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getAssociationEndExtension_IdentityEntity()` Returns the meta object for the reference '`Identity Entity`'
    `org.eclipse.emf.ecore.EReference` | `getAssociationEndExtension_JavaObjectFieldName()` Returns the meta object for the containment reference '`Java Object Field Name`'
    `org.eclipse.emf.ecore.EReference` | `getAssociationEndExtension_JavaObjectGetMethod()` Returns the meta object for the containment reference '`Java Object Get Method`'
    `org.eclipse.emf.ecore.EReference` | `getAssociationEndExtension_JavaObjectSetMethod()` Returns the meta object for the containment reference '`Java Object Set Method`'
    `org.eclipse.emf.ecore.EReference` | `getAssociationEndExtension_JoinExpression()` Returns the meta object for the containment reference '`Join Expression`'
    `org.eclipse.emf.ecore.EReference` | `getAssociationEndExtension_XMLPropertyName()` Returns the meta object for the containment reference '`XML Property Name`'
    `org.eclipse.emf.ecore.EClass` | `getAssociationEndExtension()` Returns the meta object for class '`Association End Extension`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_CustomDataType()` Returns the meta object for the reference '`Custom Data Type`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_DataType()` Returns the meta object for the containment reference '`Data Type`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_FieldColumn()` Returns the meta object for the containment reference '`Field Column`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_FieldDefaultFetchGroup()` Returns the meta object for the containment reference '`Field Default Fetch Group`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_FieldNullValue()` Returns the meta object for the containment reference '`Field Null Value`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_FieldSequence()` Returns the meta object for the containment reference '`Field Sequence`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_FieldSequenceNameColumnName()` Returns the meta object for the containment reference '`Field Sequence Name Column Name`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_FieldSequenceNextvalColumnName()` Returns the meta object for the containment reference '`Field Sequence Nextval Column Name`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_FieldSequenceTableName()` Returns the meta object for the containment reference '`Field Sequence Table Name`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_FieldValueStrategy()` Returns the meta object for the containment reference '`Field Value Strategy`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_IdentityEntity()` Returns the meta object for the reference '`Identity Entity`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_JavaObjectFieldName()` Returns the meta object for the containment reference '`Java Object Field Name`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_JavaObjectGetMethod()` Returns the meta object for the containment reference '`Java Object Get Method`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_JavaObjectSetMethod()` Returns the meta object for the containment reference '`Java Object Set Method`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_Mode()` Returns the meta object for the containment reference '`Mode`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_XMLNamespace()` Returns the meta object for the containment reference '`XML Namespace`'
    `org.eclipse.emf.ecore.EReference` | `getAttributeExtension_XMLPropertyName()` Returns the meta object for the containment reference '`XML Property Name`'
    `org.eclipse.emf.ecore.EClass` | `getAttributeExtension()` Returns the meta object for class '`Attribute Extension`'
    `CanonicalvocabularymodelFactory` | `getCanonicalvocabularymodelFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EReference` | `getCustomDataType_BaseDataType()` Returns the meta object for the containment reference '`Base Data Type`'
    `org.eclipse.emf.ecore.EReference` | `getCustomDataType_ConstraintExpression()` Returns the meta object for the containment reference '`Constraint Expression`'
    `org.eclipse.emf.ecore.EReference` | `getCustomDataType_DatabaseLookupProperties()` Returns the meta object for the containment reference '`Database Lookup Properties`'
    `org.eclipse.emf.ecore.EReference` | `getCustomDataType_DataTypeName()` Returns the meta object for the containment reference list '`Data Type Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getCustomDataType_Discovered()` Returns the meta object for the attribute '`Discovered`'
    `org.eclipse.emf.ecore.EReference` | `getCustomDataType_EDataType()` Returns the meta object for the reference '`EData Type`'
    `org.eclipse.emf.ecore.EReference` | `getCustomDataType_Enumeration()` Returns the meta object for the containment reference '`Enumeration`'
    `org.eclipse.emf.ecore.EAttribute` | `getCustomDataType_EnumerationDisplayCount()` Returns the meta object for the attribute '`Enumeration Display Count`'
    `org.eclipse.emf.ecore.EReference` | `getCustomDataType_EnumerationElements()` Returns the meta object for the containment reference list '`Enumeration Elements`'
    `org.eclipse.emf.ecore.EAttribute` | `getCustomDataType_Guid()` Returns the meta object for the attribute '`Guid`'
    `org.eclipse.emf.ecore.EClass` | `getCustomDataType()` Returns the meta object for class '`Custom Data Type`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseAccess_CatalogFilter()` Returns the meta object for the containment reference '`Catalog Filter`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseAccess_DatabaseId()` Returns the meta object for the containment reference '`Database Id`'
    `org.eclipse.emf.ecore.EAttribute` | `getDatabaseAccess_DatabasePropertyDisplayCount()` Returns the meta object for the attribute '`Database Property Display Count`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseAccess_DatabasePropertyList()` Returns the meta object for the containment reference list '`Database Property List`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseAccess_DatabaseURL()` Returns the meta object for the containment reference '`Database URL`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseAccess_JdbcDriverClass()` Returns the meta object for the containment reference '`Jdbc Driver Class`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseAccess_Password()` Returns the meta object for the containment reference '`Password`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseAccess_SchemaFilter()` Returns the meta object for the containment reference '`Schema Filter`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseAccess_Username()` Returns the meta object for the containment reference '`Username`'
    `org.eclipse.emf.ecore.EClass` | `getDatabaseAccess()` Returns the meta object for class '`Database Access`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseLookupProperties_LabelsColumnName()` Returns the meta object for the containment reference '`Labels Column Name`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseLookupProperties_TableName()` Returns the meta object for the containment reference '`Table Name`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseLookupProperties_ValuesColumnName()` Returns the meta object for the containment reference '`Values Column Name`'
    `org.eclipse.emf.ecore.EClass` | `getDatabaseLookupProperties()` Returns the meta object for class '`Database Lookup Properties`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseProperty_Name()` Returns the meta object for the containment reference '`Name`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseProperty_Value()` Returns the meta object for the containment reference '`Value`'
    `org.eclipse.emf.ecore.EClass` | `getDatabaseProperty()` Returns the meta object for class '`Database Property`'
    `org.eclipse.emf.ecore.EEnum` | `getDataType()` Returns the meta object for enum '`Data Type`'
    `org.eclipse.emf.ecore.EReference` | `getDataTypeMapping_ExtendedType()` Returns the meta object for the containment reference '`Extended Type`'
    `org.eclipse.emf.ecore.EReference` | `getDataTypeMapping_VocabularyDataType()` Returns the meta object for the containment reference '`Vocabulary Data Type`'
    `org.eclipse.emf.ecore.EClass` | `getDataTypeMapping()` Returns the meta object for class '`Data Type Mapping`'
    `org.eclipse.emf.ecore.EDataType` | `getDate()` Returns the meta object for data type '`Date`'
    `org.eclipse.emf.ecore.EDataType` | `getDateTime()` Returns the meta object for data type '`Date Time`'
    `org.eclipse.emf.ecore.EClass` | `getDomainExtension()` Returns the meta object for class '`Domain Extension`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_ClassTable()` Returns the meta object for the containment reference '`Class Table`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_DatastoreCaching()` Returns the meta object for the containment reference '`Datastore Caching`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_DatastoreIdentityColumn()` Returns the meta object for the containment reference '`Datastore Identity Column`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_DatastoreIdentitySequence()` Returns the meta object for the containment reference '`Datastore Identity Sequence`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_DatastoreIdentitySequenceNameColumnName()` Returns the meta object for the containment reference '`Datastore Identity Sequence Name Column Name`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_DatastoreIdentitySequenceNextvalColumnName()` Returns the meta object for the containment reference '`Datastore Identity Sequence Nextval Column Name`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_DatastoreIdentitySequenceTableName()` Returns the meta object for the containment reference '`Datastore Identity Sequence Table Name`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_DatastoreIdentityStrategy()` Returns the meta object for the containment reference '`Datastore Identity Strategy`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_DatastorePersistent()` Returns the meta object for the containment reference '`Datastore Persistent`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_IdentityAssociationEnds()` Returns the meta object for the reference list '`Identity Association Ends`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_IdentityAttributes()` Returns the meta object for the reference list '`Identity Attributes`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_JavaClassName()` Returns the meta object for the containment reference '`Java Class Name`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_JavaPackage()` Returns the meta object for the containment reference '`Java Package`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_VersionColumn()` Returns the meta object for the containment reference '`Version Column`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_VersionStrategy()` Returns the meta object for the containment reference '`Version Strategy`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_XMLClassName()` Returns the meta object for the containment reference '`XML Class Name`'
    `org.eclipse.emf.ecore.EReference` | `getEntityExtension_XMLNamespace()` Returns the meta object for the containment reference '`XML Namespace`'
    `org.eclipse.emf.ecore.EClass` | `getEntityExtension()` Returns the meta object for class '`Entity Extension`'
    `org.eclipse.emf.ecore.EReference` | `getEntityMapping_ExtendedTable()` Returns the meta object for the containment reference '`Extended Table`'
    `org.eclipse.emf.ecore.EReference` | `getEntityMapping_VocabularyEntity()` Returns the meta object for the containment reference '`Vocabulary Entity`'
    `org.eclipse.emf.ecore.EClass` | `getEntityMapping()` Returns the meta object for class '`Entity Mapping`'
    `org.eclipse.emf.ecore.EAttribute` | `getEnumerationElement_Guid()` Returns the meta object for the attribute '`Guid`'
    `org.eclipse.emf.ecore.EReference` | `getEnumerationElement_Label()` Returns the meta object for the containment reference list '`Label`'
    `org.eclipse.emf.ecore.EReference` | `getEnumerationElement_Value()` Returns the meta object for the containment reference '`Value`'
    `org.eclipse.emf.ecore.EClass` | `getEnumerationElement()` Returns the meta object for class '`Enumeration Element`'
    `org.eclipse.emf.ecore.EReference` | `getExtendedPersistentAttributes_DataTypeMappings()` Returns the meta object for the containment reference list '`Data Type Mappings`'
    `org.eclipse.emf.ecore.EReference` | `getExtendedPersistentAttributes_EntityMappings()` Returns the meta object for the containment reference list '`Entity Mappings`'
    `org.eclipse.emf.ecore.EReference` | `getExtendedPersistentAttributes_ExtendedAttributeColumn()` Returns the meta object for the containment reference '`Extended Attribute Column`'
    `org.eclipse.emf.ecore.EReference` | `getExtendedPersistentAttributes_ExtendedTableColumn()` Returns the meta object for the containment reference '`Extended Table Column`'
    `org.eclipse.emf.ecore.EReference` | `getExtendedPersistentAttributes_ExtendedTypeColumn()` Returns the meta object for the containment reference '`Extended Type Column`'
    `org.eclipse.emf.ecore.EReference` | `getExtendedPersistentAttributes_PrimaryKeyColumn()` Returns the meta object for the containment reference '`Primary Key Column`'
    `org.eclipse.emf.ecore.EReference` | `getExtendedPersistentAttributes_TableName()` Returns the meta object for the containment reference '`Table Name`'
    `org.eclipse.emf.ecore.EClass` | `getExtendedPersistentAttributes()` Returns the meta object for class '`Extended Persistent Attributes`'
    `org.eclipse.emf.ecore.EAttribute` | `getNamedExtension_Guid()` Returns the meta object for the attribute '`Guid`'
    `org.eclipse.emf.ecore.EReference` | `getNamedExtension_Name()` Returns the meta object for the containment reference list '`Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getNamedExtension_Source()` Returns the meta object for the attribute '`Source`'
    `org.eclipse.emf.ecore.EClass` | `getNamedExtension()` Returns the meta object for class '`Named Extension`'
    `org.eclipse.emf.ecore.EReference` | `getRootExtension_CurrentCustomDataType()` Returns the meta object for the reference '`Current Custom Data Type`'
    `org.eclipse.emf.ecore.EReference` | `getRootExtension_CurrentVocabularyElement()` Returns the meta object for the reference '`Current Vocabulary Element`'
    `org.eclipse.emf.ecore.EAttribute` | `getRootExtension_CustomDataTypeDisplayCount()` Returns the meta object for the attribute '`Custom Data Type Display Count`'
    `org.eclipse.emf.ecore.EReference` | `getRootExtension_CustomDataTypeList()` Returns the meta object for the containment reference list '`Custom Data Type List`'
    `org.eclipse.emf.ecore.EReference` | `getRootExtension_DatabaseAccess()` Returns the meta object for the containment reference '`Database Access`'
    `org.eclipse.emf.ecore.EReference` | `getRootExtension_DatabaseMetadata()` Returns the meta object for the containment reference '`Database Metadata`'
    `org.eclipse.emf.ecore.EReference` | `getRootExtension_ExtendedPersistentAttributes()` Returns the meta object for the containment reference list '`Extended Persistent Attributes`'
    `org.eclipse.emf.ecore.EReference` | `getRootExtension_JavaMetadata()` Returns the meta object for the containment reference '`Java Metadata`'
    `org.eclipse.emf.ecore.EAttribute` | `getRootExtension_Selection()` Returns the meta object for the attribute '`Selection`'
    `org.eclipse.emf.ecore.EAttribute` | `getRootExtension_VocabularyCache()` Returns the meta object for the attribute '`Vocabulary Cache`'
    `org.eclipse.emf.ecore.EClass` | `getRootExtension()` Returns the meta object for class '`Root Extension`'
    `org.eclipse.emf.ecore.EDataType` | `getSelection()` Returns the meta object for data type '`Selection`'
    `org.eclipse.emf.ecore.EDataType` | `getTime()` Returns the meta object for data type '`Time`'
    `org.eclipse.emf.ecore.EDataType` | `getValueSet()` Returns the meta object for data type '`Value Set`'
    `org.eclipse.emf.ecore.EAttribute` | `getVocabularyBoolean_Value()` Returns the meta object for the attribute '`Value`'
    `org.eclipse.emf.ecore.EClass` | `getVocabularyBoolean()` Returns the meta object for class '`Vocabulary Boolean`'
    `org.eclipse.emf.ecore.EAttribute` | `getVocabularyDataType_Value()` Returns the meta object for the attribute '`Value`'
    `org.eclipse.emf.ecore.EClass` | `getVocabularyDataType()` Returns the meta object for class '`Vocabulary Data Type`'
    `org.eclipse.emf.ecore.EAttribute` | `getVocabularyExpression_External()` Returns the meta object for the attribute '`External`'
    `org.eclipse.emf.ecore.EReference` | `getVocabularyExpression_ParserOutput()` Returns the meta object for the containment reference '`Parser Output`'
    `org.eclipse.emf.ecore.EClass` | `getVocabularyExpression()` Returns the meta object for class '`Vocabulary Expression`'
    `org.eclipse.emf.ecore.EDataType` | `getVocabularyFacade()` Returns the meta object for data type '`Vocabulary Facade`'
    `org.eclipse.emf.ecore.EAttribute` | `getVocabularyProperty_ManuallyCreated()` Returns the meta object for the attribute '`Manually Created`'
    `org.eclipse.emf.ecore.EClass` | `getVocabularyProperty()` Returns the meta object for class '`Vocabulary Property`'
    `org.eclipse.emf.ecore.EAttribute` | `getVocabularyString_Value()` Returns the meta object for the attribute '`Value`'
    `org.eclipse.emf.ecore.EClass` | `getVocabularyString()` Returns the meta object for class '`Vocabulary String`'
    `org.eclipse.emf.ecore.EAttribute` | `getVocabularyValueSet_Value()` Returns the meta object for the attribute '`Value`'
    `org.eclipse.emf.ecore.EClass` | `getVocabularyValueSet()` Returns the meta object for class '`Vocabulary Value Set`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final CanonicalvocabularymodelPackage eINSTANCE

      The singleton instance of the package.

    - #### NAMED_EXTENSION

          static final int NAMED_EXTENSION

      The meta object id for the '`Named Extension`' class.
      See Also:
        `NamedExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getNamedExtension()`, Constant Field Values

    - #### NAMED_EXTENSION__GUID

          static final int NAMED_EXTENSION__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### NAMED_EXTENSION__NAME

          static final int NAMED_EXTENSION__NAME

      The feature id for the 'Name' containment reference list.
      See Also:
        Constant Field Values

    - #### NAMED_EXTENSION__SOURCE

          static final int NAMED_EXTENSION__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### NAMED_EXTENSION_FEATURE_COUNT

          static final int NAMED_EXTENSION_FEATURE_COUNT

      The number of structural features of the 'Named Extension' class.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION

          static final int ASSOCIATION_END_EXTENSION

      The meta object id for the '`Association End Extension`' class.
      See Also:
        `AssociationEndExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getAssociationEndExtension()`, Constant Field Values

    - #### ASSOCIATION_END_EXTENSION__GUID

          static final int ASSOCIATION_END_EXTENSION__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION__NAME

          static final int ASSOCIATION_END_EXTENSION__NAME

      The feature id for the 'Name' containment reference list.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION__SOURCE

          static final int ASSOCIATION_END_EXTENSION__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION__VALIDATION_MESSAGES

          static final int ASSOCIATION_END_EXTENSION__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION__XML_PROPERTY_NAME

          static final int ASSOCIATION_END_EXTENSION__XML_PROPERTY_NAME

      The feature id for the 'XML Property Name' containment reference.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION__JAVA_OBJECT_GET_METHOD

          static final int ASSOCIATION_END_EXTENSION__JAVA_OBJECT_GET_METHOD

      The feature id for the 'Java Object Get Method' containment reference.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION__JAVA_OBJECT_SET_METHOD

          static final int ASSOCIATION_END_EXTENSION__JAVA_OBJECT_SET_METHOD

      The feature id for the 'Java Object Set Method' containment reference.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION__JAVA_OBJECT_FIELD_NAME

          static final int ASSOCIATION_END_EXTENSION__JAVA_OBJECT_FIELD_NAME

      The feature id for the 'Java Object Field Name' containment reference.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION__JOIN_EXPRESSION

          static final int ASSOCIATION_END_EXTENSION__JOIN_EXPRESSION

      The feature id for the 'Join Expression' containment reference.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION__IDENTITY_ENTITY

          static final int ASSOCIATION_END_EXTENSION__IDENTITY_ENTITY

      The feature id for the 'Identity Entity' reference.
      See Also:
        Constant Field Values

    - #### ASSOCIATION_END_EXTENSION_FEATURE_COUNT

          static final int ASSOCIATION_END_EXTENSION_FEATURE_COUNT

      The number of structural features of the 'Association End Extension' class.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION

          static final int ATTRIBUTE_EXTENSION

      The meta object id for the '`Attribute Extension`' class.
      See Also:
        `AttributeExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getAttributeExtension()`, Constant Field Values

    - #### ATTRIBUTE_EXTENSION__GUID

          static final int ATTRIBUTE_EXTENSION__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__NAME

          static final int ATTRIBUTE_EXTENSION__NAME

      The feature id for the 'Name' containment reference list.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__SOURCE

          static final int ATTRIBUTE_EXTENSION__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__VALIDATION_MESSAGES

          static final int ATTRIBUTE_EXTENSION__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__DATA_TYPE

          static final int ATTRIBUTE_EXTENSION__DATA_TYPE

      The feature id for the 'Data Type' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__MODE

          static final int ATTRIBUTE_EXTENSION__MODE

      The feature id for the 'Mode' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__XML_NAMESPACE

          static final int ATTRIBUTE_EXTENSION__XML_NAMESPACE

      The feature id for the 'XML Namespace' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__XML_PROPERTY_NAME

          static final int ATTRIBUTE_EXTENSION__XML_PROPERTY_NAME

      The feature id for the 'XML Property Name' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__JAVA_OBJECT_GET_METHOD

          static final int ATTRIBUTE_EXTENSION__JAVA_OBJECT_GET_METHOD

      The feature id for the 'Java Object Get Method' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__JAVA_OBJECT_SET_METHOD

          static final int ATTRIBUTE_EXTENSION__JAVA_OBJECT_SET_METHOD

      The feature id for the 'Java Object Set Method' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__JAVA_OBJECT_FIELD_NAME

          static final int ATTRIBUTE_EXTENSION__JAVA_OBJECT_FIELD_NAME

      The feature id for the 'Java Object Field Name' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__FIELD_COLUMN

          static final int ATTRIBUTE_EXTENSION__FIELD_COLUMN

      The feature id for the 'Field Column' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__FIELD_NULL_VALUE

          static final int ATTRIBUTE_EXTENSION__FIELD_NULL_VALUE

      The feature id for the 'Field Null Value' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__FIELD_DEFAULT_FETCH_GROUP

          static final int ATTRIBUTE_EXTENSION__FIELD_DEFAULT_FETCH_GROUP

      The feature id for the 'Field Default Fetch Group' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__FIELD_VALUE_STRATEGY

          static final int ATTRIBUTE_EXTENSION__FIELD_VALUE_STRATEGY

      The feature id for the 'Field Value Strategy' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__FIELD_SEQUENCE

          static final int ATTRIBUTE_EXTENSION__FIELD_SEQUENCE

      The feature id for the 'Field Sequence' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_TABLE_NAME

          static final int ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_TABLE_NAME

      The feature id for the 'Field Sequence Table Name' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NAME_COLUMN_NAME

          static final int ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NAME_COLUMN_NAME

      The feature id for the 'Field Sequence Name Column Name' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NEXTVAL_COLUMN_NAME

          static final int ATTRIBUTE_EXTENSION__FIELD_SEQUENCE_NEXTVAL_COLUMN_NAME

      The feature id for the 'Field Sequence Nextval Column Name' containment reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__IDENTITY_ENTITY

          static final int ATTRIBUTE_EXTENSION__IDENTITY_ENTITY

      The feature id for the 'Identity Entity' reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION__CUSTOM_DATA_TYPE

          static final int ATTRIBUTE_EXTENSION__CUSTOM_DATA_TYPE

      The feature id for the 'Custom Data Type' reference.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_EXTENSION_FEATURE_COUNT

          static final int ATTRIBUTE_EXTENSION_FEATURE_COUNT

      The number of structural features of the 'Attribute Extension' class.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION

          static final int ENTITY_EXTENSION

      The meta object id for the '`Entity Extension`' class.
      See Also:
        `EntityExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getEntityExtension()`, Constant Field Values

    - #### ENTITY_EXTENSION__GUID

          static final int ENTITY_EXTENSION__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__NAME

          static final int ENTITY_EXTENSION__NAME

      The feature id for the 'Name' containment reference list.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__SOURCE

          static final int ENTITY_EXTENSION__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__VALIDATION_MESSAGES

          static final int ENTITY_EXTENSION__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__DATASTORE_PERSISTENT

          static final int ENTITY_EXTENSION__DATASTORE_PERSISTENT

      The feature id for the 'Datastore Persistent' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__JAVA_PACKAGE

          static final int ENTITY_EXTENSION__JAVA_PACKAGE

      The feature id for the 'Java Package' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__XML_NAMESPACE

          static final int ENTITY_EXTENSION__XML_NAMESPACE

      The feature id for the 'XML Namespace' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__XML_CLASS_NAME

          static final int ENTITY_EXTENSION__XML_CLASS_NAME

      The feature id for the 'XML Class Name' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__JAVA_CLASS_NAME

          static final int ENTITY_EXTENSION__JAVA_CLASS_NAME

      The feature id for the 'Java Class Name' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__CLASS_TABLE

          static final int ENTITY_EXTENSION__CLASS_TABLE

      The feature id for the 'Class Table' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__DATASTORE_CACHING

          static final int ENTITY_EXTENSION__DATASTORE_CACHING

      The feature id for the 'Datastore Caching' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_STRATEGY

          static final int ENTITY_EXTENSION__DATASTORE_IDENTITY_STRATEGY

      The feature id for the 'Datastore Identity Strategy' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_COLUMN

          static final int ENTITY_EXTENSION__DATASTORE_IDENTITY_COLUMN

      The feature id for the 'Datastore Identity Column' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE

          static final int ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE

      The feature id for the 'Datastore Identity Sequence' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_TABLE_NAME

          static final int ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_TABLE_NAME

      The feature id for the 'Datastore Identity Sequence Table Name' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NAME_COLUMN_NAME

          static final int ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NAME_COLUMN_NAME

      The feature id for the 'Datastore Identity Sequence Name Column Name' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NEXTVAL_COLUMN_NAME

          static final int ENTITY_EXTENSION__DATASTORE_IDENTITY_SEQUENCE_NEXTVAL_COLUMN_NAME

      The feature id for the 'Datastore Identity Sequence Nextval Column Name' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__VERSION_STRATEGY

          static final int ENTITY_EXTENSION__VERSION_STRATEGY

      The feature id for the 'Version Strategy' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__VERSION_COLUMN

          static final int ENTITY_EXTENSION__VERSION_COLUMN

      The feature id for the 'Version Column' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__IDENTITY_ASSOCIATION_ENDS

          static final int ENTITY_EXTENSION__IDENTITY_ASSOCIATION_ENDS

      The feature id for the 'Identity Association Ends' reference list.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION__IDENTITY_ATTRIBUTES

          static final int ENTITY_EXTENSION__IDENTITY_ATTRIBUTES

      The feature id for the 'Identity Attributes' reference list.
      See Also:
        Constant Field Values

    - #### ENTITY_EXTENSION_FEATURE_COUNT

          static final int ENTITY_EXTENSION_FEATURE_COUNT

      The number of structural features of the 'Entity Extension' class.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION

          static final int ROOT_EXTENSION

      The meta object id for the '`Root Extension`' class.
      See Also:
        `RootExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getRootExtension()`, Constant Field Values

    - #### ROOT_EXTENSION__LANGUAGE_CODE

          static final int ROOT_EXTENSION__LANGUAGE_CODE

      The feature id for the 'Language Code' attribute list.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__MAJOR_VERSION_NUMBER

          static final int ROOT_EXTENSION__MAJOR_VERSION_NUMBER

      The feature id for the 'Major Version Number' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__MINOR_VERSION_NUMBER

          static final int ROOT_EXTENSION__MINOR_VERSION_NUMBER

      The feature id for the 'Minor Version Number' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__MAJOR_SERVICE_NUMBER

          static final int ROOT_EXTENSION__MAJOR_SERVICE_NUMBER

      The feature id for the 'Major Service Number' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__MINOR_SERVICE_NUMBER

          static final int ROOT_EXTENSION__MINOR_SERVICE_NUMBER

      The feature id for the 'Minor Service Number' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__BUILD_NUMBER

          static final int ROOT_EXTENSION__BUILD_NUMBER

      The feature id for the 'Build Number' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__UPDATE_STAMP

          static final int ROOT_EXTENSION__UPDATE_STAMP

      The feature id for the 'Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__VALIDATION_REQUEST

          static final int ROOT_EXTENSION__VALIDATION_REQUEST

      The feature id for the 'Validation Request' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__EXTERNAL_CHECKSUM

          static final int ROOT_EXTENSION__EXTERNAL_CHECKSUM

      The feature id for the 'External Checksum' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__READ_ONLY

          static final int ROOT_EXTENSION__READ_ONLY

      The feature id for the 'Read Only' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__VALIDATION_MESSAGES

          static final int ROOT_EXTENSION__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' containment reference list.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__GUID

          static final int ROOT_EXTENSION__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__NAME

          static final int ROOT_EXTENSION__NAME

      The feature id for the 'Name' containment reference list.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__SOURCE

          static final int ROOT_EXTENSION__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__SELECTION

          static final int ROOT_EXTENSION__SELECTION

      The feature id for the 'Selection' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__CUSTOM_DATA_TYPE_DISPLAY_COUNT

          static final int ROOT_EXTENSION__CUSTOM_DATA_TYPE_DISPLAY_COUNT

      The feature id for the 'Custom Data Type Display Count' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__VOCABULARY_CACHE

          static final int ROOT_EXTENSION__VOCABULARY_CACHE

      The feature id for the 'Vocabulary Cache' attribute.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__DATABASE_ACCESS

          static final int ROOT_EXTENSION__DATABASE_ACCESS

      The feature id for the 'Database Access' containment reference.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__CUSTOM_DATA_TYPE_LIST

          static final int ROOT_EXTENSION__CUSTOM_DATA_TYPE_LIST

      The feature id for the 'Custom Data Type List' containment reference list.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__EXTENDED_PERSISTENT_ATTRIBUTES

          static final int ROOT_EXTENSION__EXTENDED_PERSISTENT_ATTRIBUTES

      The feature id for the 'Extended Persistent Attributes' containment reference list.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__DATABASE_METADATA

          static final int ROOT_EXTENSION__DATABASE_METADATA

      The feature id for the 'Database Metadata' containment reference.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__JAVA_METADATA

          static final int ROOT_EXTENSION__JAVA_METADATA

      The feature id for the 'Java Metadata' containment reference.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__CURRENT_CUSTOM_DATA_TYPE

          static final int ROOT_EXTENSION__CURRENT_CUSTOM_DATA_TYPE

      The feature id for the 'Current Custom Data Type' reference.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION__CURRENT_VOCABULARY_ELEMENT

          static final int ROOT_EXTENSION__CURRENT_VOCABULARY_ELEMENT

      The feature id for the 'Current Vocabulary Element' reference.
      See Also:
        Constant Field Values

    - #### ROOT_EXTENSION_FEATURE_COUNT

          static final int ROOT_EXTENSION_FEATURE_COUNT

      The number of structural features of the 'Root Extension' class.
      See Also:
        Constant Field Values

    - #### VOCABULARY_PROPERTY

          static final int VOCABULARY_PROPERTY

      The meta object id for the '`Vocabulary Property`' class.
      See Also:
        `VocabularyPropertyImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyProperty()`, Constant Field Values

    - #### VOCABULARY_PROPERTY__VALIDATION_MESSAGES

          static final int VOCABULARY_PROPERTY__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### VOCABULARY_PROPERTY__MANUALLY_CREATED

          static final int VOCABULARY_PROPERTY__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_PROPERTY_FEATURE_COUNT

          static final int VOCABULARY_PROPERTY_FEATURE_COUNT

      The number of structural features of the 'Vocabulary Property' class.
      See Also:
        Constant Field Values

    - #### VOCABULARY_STRING

          static final int VOCABULARY_STRING

      The meta object id for the '`Vocabulary String`' class.
      See Also:
        `VocabularyStringImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyString()`, Constant Field Values

    - #### VOCABULARY_STRING__VALIDATION_MESSAGES

          static final int VOCABULARY_STRING__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### VOCABULARY_STRING__MANUALLY_CREATED

          static final int VOCABULARY_STRING__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_STRING__VALUE

          static final int VOCABULARY_STRING__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_STRING_FEATURE_COUNT

          static final int VOCABULARY_STRING_FEATURE_COUNT

      The number of structural features of the 'Vocabulary String' class.
      See Also:
        Constant Field Values

    - #### VOCABULARY_BOOLEAN

          static final int VOCABULARY_BOOLEAN

      The meta object id for the '`Vocabulary Boolean`' class.
      See Also:
        `VocabularyBooleanImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyBoolean()`, Constant Field Values

    - #### VOCABULARY_BOOLEAN__VALIDATION_MESSAGES

          static final int VOCABULARY_BOOLEAN__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### VOCABULARY_BOOLEAN__MANUALLY_CREATED

          static final int VOCABULARY_BOOLEAN__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_BOOLEAN__VALUE

          static final int VOCABULARY_BOOLEAN__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_BOOLEAN_FEATURE_COUNT

          static final int VOCABULARY_BOOLEAN_FEATURE_COUNT

      The number of structural features of the 'Vocabulary Boolean' class.
      See Also:
        Constant Field Values

    - #### VOCABULARY_VALUE_SET

          static final int VOCABULARY_VALUE_SET

      The meta object id for the '`Vocabulary Value Set`' class.
      See Also:
        `VocabularyValueSetImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyValueSet()`, Constant Field Values

    - #### VOCABULARY_VALUE_SET__VALIDATION_MESSAGES

          static final int VOCABULARY_VALUE_SET__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### VOCABULARY_VALUE_SET__MANUALLY_CREATED

          static final int VOCABULARY_VALUE_SET__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_VALUE_SET__VALUE

          static final int VOCABULARY_VALUE_SET__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_VALUE_SET_FEATURE_COUNT

          static final int VOCABULARY_VALUE_SET_FEATURE_COUNT

      The number of structural features of the 'Vocabulary Value Set' class.
      See Also:
        Constant Field Values

    - #### DOMAIN_EXTENSION

          static final int DOMAIN_EXTENSION

      The meta object id for the '`Domain Extension`' class.
      See Also:
        `DomainExtensionImpl`, `CanonicalvocabularymodelPackageImpl.getDomainExtension()`, Constant Field Values

    - #### DOMAIN_EXTENSION__GUID

          static final int DOMAIN_EXTENSION__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### DOMAIN_EXTENSION__NAME

          static final int DOMAIN_EXTENSION__NAME

      The feature id for the 'Name' containment reference list.
      See Also:
        Constant Field Values

    - #### DOMAIN_EXTENSION__SOURCE

          static final int DOMAIN_EXTENSION__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### DOMAIN_EXTENSION__VALIDATION_MESSAGES

          static final int DOMAIN_EXTENSION__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### DOMAIN_EXTENSION_FEATURE_COUNT

          static final int DOMAIN_EXTENSION_FEATURE_COUNT

      The number of structural features of the 'Domain Extension' class.
      See Also:
        Constant Field Values

    - #### DATABASE_ACCESS

          static final int DATABASE_ACCESS

      The meta object id for the '`Database Access`' class.
      See Also:
        `DatabaseAccessImpl`, `CanonicalvocabularymodelPackageImpl.getDatabaseAccess()`, Constant Field Values

    - #### DATABASE_ACCESS__DATABASE_ID

          static final int DATABASE_ACCESS__DATABASE_ID

      The feature id for the 'Database Id' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_ACCESS__JDBC_DRIVER_CLASS

          static final int DATABASE_ACCESS__JDBC_DRIVER_CLASS

      The feature id for the 'Jdbc Driver Class' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_ACCESS__DATABASE_URL

          static final int DATABASE_ACCESS__DATABASE_URL

      The feature id for the 'Database URL' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_ACCESS__USERNAME

          static final int DATABASE_ACCESS__USERNAME

      The feature id for the 'Username' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_ACCESS__PASSWORD

          static final int DATABASE_ACCESS__PASSWORD

      The feature id for the 'Password' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_ACCESS__DATABASE_PROPERTY_DISPLAY_COUNT

          static final int DATABASE_ACCESS__DATABASE_PROPERTY_DISPLAY_COUNT

      The feature id for the 'Database Property Display Count' attribute.
      See Also:
        Constant Field Values

    - #### DATABASE_ACCESS__CATALOG_FILTER

          static final int DATABASE_ACCESS__CATALOG_FILTER

      The feature id for the 'Catalog Filter' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_ACCESS__SCHEMA_FILTER

          static final int DATABASE_ACCESS__SCHEMA_FILTER

      The feature id for the 'Schema Filter' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_ACCESS__DATABASE_PROPERTY_LIST

          static final int DATABASE_ACCESS__DATABASE_PROPERTY_LIST

      The feature id for the 'Database Property List' containment reference list.
      See Also:
        Constant Field Values

    - #### DATABASE_ACCESS_FEATURE_COUNT

          static final int DATABASE_ACCESS_FEATURE_COUNT

      The number of structural features of the 'Database Access' class.
      See Also:
        Constant Field Values

    - #### DATABASE_PROPERTY

          static final int DATABASE_PROPERTY

      The meta object id for the '`Database Property`' class.
      See Also:
        `DatabasePropertyImpl`, `CanonicalvocabularymodelPackageImpl.getDatabaseProperty()`, Constant Field Values

    - #### DATABASE_PROPERTY__VALIDATION_MESSAGES

          static final int DATABASE_PROPERTY__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### DATABASE_PROPERTY__NAME

          static final int DATABASE_PROPERTY__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_PROPERTY__VALUE

          static final int DATABASE_PROPERTY__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_PROPERTY_FEATURE_COUNT

          static final int DATABASE_PROPERTY_FEATURE_COUNT

      The number of structural features of the 'Database Property' class.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE

          static final int CUSTOM_DATA_TYPE

      The meta object id for the '`Custom Data Type`' class.
      See Also:
        `CustomDataTypeImpl`, `CanonicalvocabularymodelPackageImpl.getCustomDataType()`, Constant Field Values

    - #### CUSTOM_DATA_TYPE__VALIDATION_MESSAGES

          static final int CUSTOM_DATA_TYPE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE__GUID

          static final int CUSTOM_DATA_TYPE__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE__DATA_TYPE_NAME

          static final int CUSTOM_DATA_TYPE__DATA_TYPE_NAME

      The feature id for the 'Data Type Name' containment reference list.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE__BASE_DATA_TYPE

          static final int CUSTOM_DATA_TYPE__BASE_DATA_TYPE

      The feature id for the 'Base Data Type' containment reference.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE__ENUMERATION

          static final int CUSTOM_DATA_TYPE__ENUMERATION

      The feature id for the 'Enumeration' containment reference.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE__CONSTRAINT_EXPRESSION

          static final int CUSTOM_DATA_TYPE__CONSTRAINT_EXPRESSION

      The feature id for the 'Constraint Expression' containment reference.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE__DISCOVERED

          static final int CUSTOM_DATA_TYPE__DISCOVERED

      The feature id for the 'Discovered' attribute.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE__ENUMERATION_DISPLAY_COUNT

          static final int CUSTOM_DATA_TYPE__ENUMERATION_DISPLAY_COUNT

      The feature id for the 'Enumeration Display Count' attribute.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE__DATABASE_LOOKUP_PROPERTIES

          static final int CUSTOM_DATA_TYPE__DATABASE_LOOKUP_PROPERTIES

      The feature id for the 'Database Lookup Properties' containment reference.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE__ENUMERATION_ELEMENTS

          static final int CUSTOM_DATA_TYPE__ENUMERATION_ELEMENTS

      The feature id for the 'Enumeration Elements' containment reference list.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE__EDATA_TYPE

          static final int CUSTOM_DATA_TYPE__EDATA_TYPE

      The feature id for the 'EData Type' reference.
      See Also:
        Constant Field Values

    - #### CUSTOM_DATA_TYPE_FEATURE_COUNT

          static final int CUSTOM_DATA_TYPE_FEATURE_COUNT

      The number of structural features of the 'Custom Data Type' class.
      See Also:
        Constant Field Values

    - #### VOCABULARY_EXPRESSION

          static final int VOCABULARY_EXPRESSION

      The meta object id for the '`Vocabulary Expression`' class.
      See Also:
        `VocabularyExpressionImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyExpression()`, Constant Field Values

    - #### VOCABULARY_EXPRESSION__VALIDATION_MESSAGES

          static final int VOCABULARY_EXPRESSION__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### VOCABULARY_EXPRESSION__MANUALLY_CREATED

          static final int VOCABULARY_EXPRESSION__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_EXPRESSION__EXTERNAL

          static final int VOCABULARY_EXPRESSION__EXTERNAL

      The feature id for the 'External' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_EXPRESSION__PARSER_OUTPUT

          static final int VOCABULARY_EXPRESSION__PARSER_OUTPUT

      The feature id for the 'Parser Output' containment reference.
      See Also:
        Constant Field Values

    - #### VOCABULARY_EXPRESSION_FEATURE_COUNT

          static final int VOCABULARY_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Vocabulary Expression' class.
      See Also:
        Constant Field Values

    - #### DATABASE_LOOKUP_PROPERTIES

          static final int DATABASE_LOOKUP_PROPERTIES

      The meta object id for the '`Database Lookup Properties`' class.
      See Also:
        `DatabaseLookupPropertiesImpl`, `CanonicalvocabularymodelPackageImpl.getDatabaseLookupProperties()`, Constant Field Values

    - #### DATABASE_LOOKUP_PROPERTIES__TABLE_NAME

          static final int DATABASE_LOOKUP_PROPERTIES__TABLE_NAME

      The feature id for the 'Table Name' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_LOOKUP_PROPERTIES__LABELS_COLUMN_NAME

          static final int DATABASE_LOOKUP_PROPERTIES__LABELS_COLUMN_NAME

      The feature id for the 'Labels Column Name' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_LOOKUP_PROPERTIES__VALUES_COLUMN_NAME

          static final int DATABASE_LOOKUP_PROPERTIES__VALUES_COLUMN_NAME

      The feature id for the 'Values Column Name' containment reference.
      See Also:
        Constant Field Values

    - #### DATABASE_LOOKUP_PROPERTIES_FEATURE_COUNT

          static final int DATABASE_LOOKUP_PROPERTIES_FEATURE_COUNT

      The number of structural features of the 'Database Lookup Properties' class.
      See Also:
        Constant Field Values

    - #### ENUMERATION_ELEMENT

          static final int ENUMERATION_ELEMENT

      The meta object id for the '`Enumeration Element`' class.
      See Also:
        `EnumerationElementImpl`, `CanonicalvocabularymodelPackageImpl.getEnumerationElement()`, Constant Field Values

    - #### ENUMERATION_ELEMENT__VALIDATION_MESSAGES

          static final int ENUMERATION_ELEMENT__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### ENUMERATION_ELEMENT__GUID

          static final int ENUMERATION_ELEMENT__GUID

      The feature id for the 'Guid' attribute.
      See Also:
        Constant Field Values

    - #### ENUMERATION_ELEMENT__LABEL

          static final int ENUMERATION_ELEMENT__LABEL

      The feature id for the 'Label' containment reference list.
      See Also:
        Constant Field Values

    - #### ENUMERATION_ELEMENT__VALUE

          static final int ENUMERATION_ELEMENT__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### ENUMERATION_ELEMENT_FEATURE_COUNT

          static final int ENUMERATION_ELEMENT_FEATURE_COUNT

      The number of structural features of the 'Enumeration Element' class.
      See Also:
        Constant Field Values

    - #### EXTENDED_PERSISTENT_ATTRIBUTES

          static final int EXTENDED_PERSISTENT_ATTRIBUTES

      The meta object id for the '`Extended Persistent Attributes`' class.
      See Also:
        `ExtendedPersistentAttributesImpl`, `CanonicalvocabularymodelPackageImpl.getExtendedPersistentAttributes()`, Constant Field Values

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__TABLE_NAME

          static final int EXTENDED_PERSISTENT_ATTRIBUTES__TABLE_NAME

      The feature id for the 'Table Name' containment reference.
      See Also:
        Constant Field Values

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__PRIMARY_KEY_COLUMN

          static final int EXTENDED_PERSISTENT_ATTRIBUTES__PRIMARY_KEY_COLUMN

      The feature id for the 'Primary Key Column' containment reference.
      See Also:
        Constant Field Values

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TABLE_COLUMN

          static final int EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TABLE_COLUMN

      The feature id for the 'Extended Table Column' containment reference.
      See Also:
        Constant Field Values

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_ATTRIBUTE_COLUMN

          static final int EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_ATTRIBUTE_COLUMN

      The feature id for the 'Extended Attribute Column' containment reference.
      See Also:
        Constant Field Values

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TYPE_COLUMN

          static final int EXTENDED_PERSISTENT_ATTRIBUTES__EXTENDED_TYPE_COLUMN

      The feature id for the 'Extended Type Column' containment reference.
      See Also:
        Constant Field Values

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__ENTITY_MAPPINGS

          static final int EXTENDED_PERSISTENT_ATTRIBUTES__ENTITY_MAPPINGS

      The feature id for the 'Entity Mappings' containment reference list.
      See Also:
        Constant Field Values

    - #### EXTENDED_PERSISTENT_ATTRIBUTES__DATA_TYPE_MAPPINGS

          static final int EXTENDED_PERSISTENT_ATTRIBUTES__DATA_TYPE_MAPPINGS

      The feature id for the 'Data Type Mappings' containment reference list.
      See Also:
        Constant Field Values

    - #### EXTENDED_PERSISTENT_ATTRIBUTES_FEATURE_COUNT

          static final int EXTENDED_PERSISTENT_ATTRIBUTES_FEATURE_COUNT

      The number of structural features of the 'Extended Persistent Attributes' class.
      See Also:
        Constant Field Values

    - #### ENTITY_MAPPING

          static final int ENTITY_MAPPING

      The meta object id for the '`Entity Mapping`' class.
      See Also:
        `EntityMappingImpl`, `CanonicalvocabularymodelPackageImpl.getEntityMapping()`, Constant Field Values

    - #### ENTITY_MAPPING__EXTENDED_TABLE

          static final int ENTITY_MAPPING__EXTENDED_TABLE

      The feature id for the 'Extended Table' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_MAPPING__VOCABULARY_ENTITY

          static final int ENTITY_MAPPING__VOCABULARY_ENTITY

      The feature id for the 'Vocabulary Entity' containment reference.
      See Also:
        Constant Field Values

    - #### ENTITY_MAPPING_FEATURE_COUNT

          static final int ENTITY_MAPPING_FEATURE_COUNT

      The number of structural features of the 'Entity Mapping' class.
      See Also:
        Constant Field Values

    - #### DATA_TYPE_MAPPING

          static final int DATA_TYPE_MAPPING

      The meta object id for the '`Data Type Mapping`' class.
      See Also:
        `DataTypeMappingImpl`, `CanonicalvocabularymodelPackageImpl.getDataTypeMapping()`, Constant Field Values

    - #### DATA_TYPE_MAPPING__EXTENDED_TYPE

          static final int DATA_TYPE_MAPPING__EXTENDED_TYPE

      The feature id for the 'Extended Type' containment reference.
      See Also:
        Constant Field Values

    - #### DATA_TYPE_MAPPING__VOCABULARY_DATA_TYPE

          static final int DATA_TYPE_MAPPING__VOCABULARY_DATA_TYPE

      The feature id for the 'Vocabulary Data Type' containment reference.
      See Also:
        Constant Field Values

    - #### DATA_TYPE_MAPPING_FEATURE_COUNT

          static final int DATA_TYPE_MAPPING_FEATURE_COUNT

      The number of structural features of the 'Data Type Mapping' class.
      See Also:
        Constant Field Values

    - #### VOCABULARY_DATA_TYPE

          static final int VOCABULARY_DATA_TYPE

      The meta object id for the '`Vocabulary Data Type`' class.
      See Also:
        `VocabularyDataTypeImpl`, `CanonicalvocabularymodelPackageImpl.getVocabularyDataType()`, Constant Field Values

    - #### VOCABULARY_DATA_TYPE__VALIDATION_MESSAGES

          static final int VOCABULARY_DATA_TYPE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### VOCABULARY_DATA_TYPE__MANUALLY_CREATED

          static final int VOCABULARY_DATA_TYPE__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_DATA_TYPE__VALUE

          static final int VOCABULARY_DATA_TYPE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### VOCABULARY_DATA_TYPE_FEATURE_COUNT

          static final int VOCABULARY_DATA_TYPE_FEATURE_COUNT

      The number of structural features of the 'Vocabulary Data Type' class.
      See Also:
        Constant Field Values

    - #### DATA_TYPE

          static final int DATA_TYPE

      The meta object id for the '`Data Type`' enum.
      See Also:
        `DataType`, `CanonicalvocabularymodelPackageImpl.getDataType()`, Constant Field Values

    - #### VALUE_SET

          static final int VALUE_SET

      The meta object id for the 'Value Set' data type.
      See Also:
        `ValueSet`, `CanonicalvocabularymodelPackageImpl.getValueSet()`, Constant Field Values

    - #### SELECTION

          static final int SELECTION

      The meta object id for the 'Selection' data type.
      See Also:
        `Selection`, `CanonicalvocabularymodelPackageImpl.getSelection()`, Constant Field Values

    - #### DATE_TIME

          static final int DATE_TIME

      The meta object id for the 'Date Time' data type.
      See Also:
        `Date`, `CanonicalvocabularymodelPackageImpl.getDateTime()`, Constant Field Values

    - #### DATE

          static final int DATE

      The meta object id for the 'Date' data type.
      See Also:
        `Date`, `CanonicalvocabularymodelPackageImpl.getDate()`, Constant Field Values

    - #### TIME

          static final int TIME

      The meta object id for the 'Time' data type.
      See Also:
        `Time`, `CanonicalvocabularymodelPackageImpl.getTime()`, Constant Field Values

    - #### VOCABULARY_FACADE

          static final int VOCABULARY_FACADE

      The meta object id for the 'Vocabulary Facade' data type.
      See Also:
        `Object`, `CanonicalvocabularymodelPackageImpl.getVocabularyFacade()`, Constant Field Values

  - ### Method Detail

    - #### getAssociationEndExtension

          org.eclipse.emf.ecore.EClass getAssociationEndExtension()

      Returns the meta object for class '`Association End Extension`'.
      Returns:
        the meta object for class 'Association End Extension'.
      See Also:
        `AssociationEndExtension`

    - #### getAssociationEndExtension_XMLPropertyName

          org.eclipse.emf.ecore.EReference getAssociationEndExtension_XMLPropertyName()

      Returns the meta object for the containment reference '`XML Property Name`'.
      Returns:
        the meta object for the containment reference 'XML Property Name'.
      See Also:
        `AssociationEndExtension.getXMLPropertyName()`, `getAssociationEndExtension()`

    - #### getAssociationEndExtension_JavaObjectGetMethod

          org.eclipse.emf.ecore.EReference getAssociationEndExtension_JavaObjectGetMethod()

      Returns the meta object for the containment reference '`Java Object Get Method`'.
      Returns:
        the meta object for the containment reference 'Java Object Get Method'.
      See Also:
        `AssociationEndExtension.getJavaObjectGetMethod()`, `getAssociationEndExtension()`

    - #### getAssociationEndExtension_JavaObjectSetMethod

          org.eclipse.emf.ecore.EReference getAssociationEndExtension_JavaObjectSetMethod()

      Returns the meta object for the containment reference '`Java Object Set Method`'.
      Returns:
        the meta object for the containment reference 'Java Object Set Method'.
      See Also:
        `AssociationEndExtension.getJavaObjectSetMethod()`, `getAssociationEndExtension()`

    - #### getAssociationEndExtension_JavaObjectFieldName

          org.eclipse.emf.ecore.EReference getAssociationEndExtension_JavaObjectFieldName()

      Returns the meta object for the containment reference '`Java Object Field Name`'.
      Returns:
        the meta object for the containment reference 'Java Object Field Name'.
      See Also:
        `AssociationEndExtension.getJavaObjectFieldName()`, `getAssociationEndExtension()`

    - #### getAssociationEndExtension_JoinExpression

          org.eclipse.emf.ecore.EReference getAssociationEndExtension_JoinExpression()

      Returns the meta object for the containment reference '`Join Expression`'.
      Returns:
        the meta object for the containment reference 'Join Expression'.
      See Also:
        `AssociationEndExtension.getJoinExpression()`, `getAssociationEndExtension()`

    - #### getAssociationEndExtension_IdentityEntity

          org.eclipse.emf.ecore.EReference getAssociationEndExtension_IdentityEntity()

      Returns the meta object for the reference '`Identity Entity`'.
      Returns:
        the meta object for the reference 'Identity Entity'.
      See Also:
        `AssociationEndExtension.getIdentityEntity()`, `getAssociationEndExtension()`

    - #### getAttributeExtension

          org.eclipse.emf.ecore.EClass getAttributeExtension()

      Returns the meta object for class '`Attribute Extension`'.
      Returns:
        the meta object for class 'Attribute Extension'.
      See Also:
        `AttributeExtension`

    - #### getAttributeExtension_DataType

          org.eclipse.emf.ecore.EReference getAttributeExtension_DataType()

      Returns the meta object for the containment reference '`Data Type`'.
      Returns:
        the meta object for the containment reference 'Data Type'.
      See Also:
        `AttributeExtension.getDataType()`, `getAttributeExtension()`

    - #### getAttributeExtension_Mode

          org.eclipse.emf.ecore.EReference getAttributeExtension_Mode()

      Returns the meta object for the containment reference '`Mode`'.
      Returns:
        the meta object for the containment reference 'Mode'.
      See Also:
        `AttributeExtension.getMode()`, `getAttributeExtension()`

    - #### getAttributeExtension_XMLNamespace

          org.eclipse.emf.ecore.EReference getAttributeExtension_XMLNamespace()

      Returns the meta object for the containment reference '`XML Namespace`'.
      Returns:
        the meta object for the containment reference 'XML Namespace'.
      See Also:
        `AttributeExtension.getXMLNamespace()`, `getAttributeExtension()`

    - #### getAttributeExtension_XMLPropertyName

          org.eclipse.emf.ecore.EReference getAttributeExtension_XMLPropertyName()

      Returns the meta object for the containment reference '`XML Property Name`'.
      Returns:
        the meta object for the containment reference 'XML Property Name'.
      See Also:
        `AttributeExtension.getXMLPropertyName()`, `getAttributeExtension()`

    - #### getAttributeExtension_JavaObjectGetMethod

          org.eclipse.emf.ecore.EReference getAttributeExtension_JavaObjectGetMethod()

      Returns the meta object for the containment reference '`Java Object Get Method`'.
      Returns:
        the meta object for the containment reference 'Java Object Get Method'.
      See Also:
        `AttributeExtension.getJavaObjectGetMethod()`, `getAttributeExtension()`

    - #### getAttributeExtension_JavaObjectSetMethod

          org.eclipse.emf.ecore.EReference getAttributeExtension_JavaObjectSetMethod()

      Returns the meta object for the containment reference '`Java Object Set Method`'.
      Returns:
        the meta object for the containment reference 'Java Object Set Method'.
      See Also:
        `AttributeExtension.getJavaObjectSetMethod()`, `getAttributeExtension()`

    - #### getAttributeExtension_JavaObjectFieldName

          org.eclipse.emf.ecore.EReference getAttributeExtension_JavaObjectFieldName()

      Returns the meta object for the containment reference '`Java Object Field Name`'.
      Returns:
        the meta object for the containment reference 'Java Object Field Name'.
      See Also:
        `AttributeExtension.getJavaObjectFieldName()`, `getAttributeExtension()`

    - #### getAttributeExtension_FieldColumn

          org.eclipse.emf.ecore.EReference getAttributeExtension_FieldColumn()

      Returns the meta object for the containment reference '`Field Column`'.
      Returns:
        the meta object for the containment reference 'Field Column'.
      See Also:
        `AttributeExtension.getFieldColumn()`, `getAttributeExtension()`

    - #### getAttributeExtension_FieldNullValue

          org.eclipse.emf.ecore.EReference getAttributeExtension_FieldNullValue()

      Returns the meta object for the containment reference '`Field Null Value`'.
      Returns:
        the meta object for the containment reference 'Field Null Value'.
      See Also:
        `AttributeExtension.getFieldNullValue()`, `getAttributeExtension()`

    - #### getAttributeExtension_FieldDefaultFetchGroup

          org.eclipse.emf.ecore.EReference getAttributeExtension_FieldDefaultFetchGroup()

      Returns the meta object for the containment reference '`Field Default Fetch Group`'.
      Returns:
        the meta object for the containment reference 'Field Default Fetch Group'.
      See Also:
        `AttributeExtension.getFieldDefaultFetchGroup()`, `getAttributeExtension()`

    - #### getAttributeExtension_FieldValueStrategy

          org.eclipse.emf.ecore.EReference getAttributeExtension_FieldValueStrategy()

      Returns the meta object for the containment reference '`Field Value Strategy`'.
      Returns:
        the meta object for the containment reference 'Field Value Strategy'.
      See Also:
        `AttributeExtension.getFieldValueStrategy()`, `getAttributeExtension()`

    - #### getAttributeExtension_FieldSequence

          org.eclipse.emf.ecore.EReference getAttributeExtension_FieldSequence()

      Returns the meta object for the containment reference '`Field Sequence`'.
      Returns:
        the meta object for the containment reference 'Field Sequence'.
      See Also:
        `AttributeExtension.getFieldSequence()`, `getAttributeExtension()`

    - #### getAttributeExtension_FieldSequenceTableName

          org.eclipse.emf.ecore.EReference getAttributeExtension_FieldSequenceTableName()

      Returns the meta object for the containment reference '`Field Sequence Table Name`'.
      Returns:
        the meta object for the containment reference 'Field Sequence Table Name'.
      See Also:
        `AttributeExtension.getFieldSequenceTableName()`, `getAttributeExtension()`

    - #### getAttributeExtension_FieldSequenceNameColumnName

          org.eclipse.emf.ecore.EReference getAttributeExtension_FieldSequenceNameColumnName()

      Returns the meta object for the containment reference '`Field Sequence Name Column Name`'.
      Returns:
        the meta object for the containment reference 'Field Sequence Name Column Name'.
      See Also:
        `AttributeExtension.getFieldSequenceNameColumnName()`, `getAttributeExtension()`

    - #### getAttributeExtension_FieldSequenceNextvalColumnName

          org.eclipse.emf.ecore.EReference getAttributeExtension_FieldSequenceNextvalColumnName()

      Returns the meta object for the containment reference '`Field Sequence Nextval Column Name`'.
      Returns:
        the meta object for the containment reference 'Field Sequence Nextval Column Name'.
      See Also:
        `AttributeExtension.getFieldSequenceNextvalColumnName()`, `getAttributeExtension()`

    - #### getAttributeExtension_IdentityEntity

          org.eclipse.emf.ecore.EReference getAttributeExtension_IdentityEntity()

      Returns the meta object for the reference '`Identity Entity`'.
      Returns:
        the meta object for the reference 'Identity Entity'.
      See Also:
        `AttributeExtension.getIdentityEntity()`, `getAttributeExtension()`

    - #### getAttributeExtension_CustomDataType

          org.eclipse.emf.ecore.EReference getAttributeExtension_CustomDataType()

      Returns the meta object for the reference '`Custom Data Type`'.
      Returns:
        the meta object for the reference 'Custom Data Type'.
      See Also:
        `AttributeExtension.getCustomDataType()`, `getAttributeExtension()`

    - #### getEntityExtension

          org.eclipse.emf.ecore.EClass getEntityExtension()

      Returns the meta object for class '`Entity Extension`'.
      Returns:
        the meta object for class 'Entity Extension'.
      See Also:
        `EntityExtension`

    - #### getEntityExtension_DatastorePersistent

          org.eclipse.emf.ecore.EReference getEntityExtension_DatastorePersistent()

      Returns the meta object for the containment reference '`Datastore Persistent`'.
      Returns:
        the meta object for the containment reference 'Datastore Persistent'.
      See Also:
        `EntityExtension.getDatastorePersistent()`, `getEntityExtension()`

    - #### getEntityExtension_JavaPackage

          org.eclipse.emf.ecore.EReference getEntityExtension_JavaPackage()

      Returns the meta object for the containment reference '`Java Package`'.
      Returns:
        the meta object for the containment reference 'Java Package'.
      See Also:
        `EntityExtension.getJavaPackage()`, `getEntityExtension()`

    - #### getEntityExtension_XMLNamespace

          org.eclipse.emf.ecore.EReference getEntityExtension_XMLNamespace()

      Returns the meta object for the containment reference '`XML Namespace`'.
      Returns:
        the meta object for the containment reference 'XML Namespace'.
      See Also:
        `EntityExtension.getXMLNamespace()`, `getEntityExtension()`

    - #### getEntityExtension_XMLClassName

          org.eclipse.emf.ecore.EReference getEntityExtension_XMLClassName()

      Returns the meta object for the containment reference '`XML Class Name`'.
      Returns:
        the meta object for the containment reference 'XML Class Name'.
      See Also:
        `EntityExtension.getXMLClassName()`, `getEntityExtension()`

    - #### getEntityExtension_JavaClassName

          org.eclipse.emf.ecore.EReference getEntityExtension_JavaClassName()

      Returns the meta object for the containment reference '`Java Class Name`'.
      Returns:
        the meta object for the containment reference 'Java Class Name'.
      See Also:
        `EntityExtension.getJavaClassName()`, `getEntityExtension()`

    - #### getEntityExtension_ClassTable

          org.eclipse.emf.ecore.EReference getEntityExtension_ClassTable()

      Returns the meta object for the containment reference '`Class Table`'.
      Returns:
        the meta object for the containment reference 'Class Table'.
      See Also:
        `EntityExtension.getClassTable()`, `getEntityExtension()`

    - #### getEntityExtension_DatastoreCaching

          org.eclipse.emf.ecore.EReference getEntityExtension_DatastoreCaching()

      Returns the meta object for the containment reference '`Datastore Caching`'.
      Returns:
        the meta object for the containment reference 'Datastore Caching'.
      See Also:
        `EntityExtension.getDatastoreCaching()`, `getEntityExtension()`

    - #### getEntityExtension_DatastoreIdentityStrategy

          org.eclipse.emf.ecore.EReference getEntityExtension_DatastoreIdentityStrategy()

      Returns the meta object for the containment reference '`Datastore Identity Strategy`'.
      Returns:
        the meta object for the containment reference 'Datastore Identity Strategy'.
      See Also:
        `EntityExtension.getDatastoreIdentityStrategy()`, `getEntityExtension()`

    - #### getEntityExtension_DatastoreIdentityColumn

          org.eclipse.emf.ecore.EReference getEntityExtension_DatastoreIdentityColumn()

      Returns the meta object for the containment reference '`Datastore Identity Column`'.
      Returns:
        the meta object for the containment reference 'Datastore Identity Column'.
      See Also:
        `EntityExtension.getDatastoreIdentityColumn()`, `getEntityExtension()`

    - #### getEntityExtension_DatastoreIdentitySequence

          org.eclipse.emf.ecore.EReference getEntityExtension_DatastoreIdentitySequence()

      Returns the meta object for the containment reference '`Datastore Identity Sequence`'.
      Returns:
        the meta object for the containment reference 'Datastore Identity Sequence'.
      See Also:
        `EntityExtension.getDatastoreIdentitySequence()`, `getEntityExtension()`

    - #### getEntityExtension_DatastoreIdentitySequenceTableName

          org.eclipse.emf.ecore.EReference getEntityExtension_DatastoreIdentitySequenceTableName()

      Returns the meta object for the containment reference '`Datastore Identity Sequence Table Name`'.
      Returns:
        the meta object for the containment reference 'Datastore Identity Sequence Table Name'.
      See Also:
        `EntityExtension.getDatastoreIdentitySequenceTableName()`, `getEntityExtension()`

    - #### getEntityExtension_DatastoreIdentitySequenceNameColumnName

          org.eclipse.emf.ecore.EReference getEntityExtension_DatastoreIdentitySequenceNameColumnName()

      Returns the meta object for the containment reference '`Datastore Identity Sequence Name Column Name`'.
      Returns:
        the meta object for the containment reference 'Datastore Identity Sequence Name Column Name'.
      See Also:
        `EntityExtension.getDatastoreIdentitySequenceNameColumnName()`, `getEntityExtension()`

    - #### getEntityExtension_DatastoreIdentitySequenceNextvalColumnName

          org.eclipse.emf.ecore.EReference getEntityExtension_DatastoreIdentitySequenceNextvalColumnName()

      Returns the meta object for the containment reference '`Datastore Identity Sequence Nextval Column Name`'.
      Returns:
        the meta object for the containment reference 'Datastore Identity Sequence Nextval Column Name'.
      See Also:
        `EntityExtension.getDatastoreIdentitySequenceNextvalColumnName()`, `getEntityExtension()`

    - #### getEntityExtension_VersionStrategy

          org.eclipse.emf.ecore.EReference getEntityExtension_VersionStrategy()

      Returns the meta object for the containment reference '`Version Strategy`'.
      Returns:
        the meta object for the containment reference 'Version Strategy'.
      See Also:
        `EntityExtension.getVersionStrategy()`, `getEntityExtension()`

    - #### getEntityExtension_VersionColumn

          org.eclipse.emf.ecore.EReference getEntityExtension_VersionColumn()

      Returns the meta object for the containment reference '`Version Column`'.
      Returns:
        the meta object for the containment reference 'Version Column'.
      See Also:
        `EntityExtension.getVersionColumn()`, `getEntityExtension()`

    - #### getEntityExtension_IdentityAssociationEnds

          org.eclipse.emf.ecore.EReference getEntityExtension_IdentityAssociationEnds()

      Returns the meta object for the reference list '`Identity Association Ends`'.
      Returns:
        the meta object for the reference list 'Identity Association Ends'.
      See Also:
        `EntityExtension.getIdentityAssociationEnds()`, `getEntityExtension()`

    - #### getEntityExtension_IdentityAttributes

          org.eclipse.emf.ecore.EReference getEntityExtension_IdentityAttributes()

      Returns the meta object for the reference list '`Identity Attributes`'.
      Returns:
        the meta object for the reference list 'Identity Attributes'.
      See Also:
        `EntityExtension.getIdentityAttributes()`, `getEntityExtension()`

    - #### getRootExtension

          org.eclipse.emf.ecore.EClass getRootExtension()

      Returns the meta object for class '`Root Extension`'.
      Returns:
        the meta object for class 'Root Extension'.
      See Also:
        `RootExtension`

    - #### getRootExtension_Selection

          org.eclipse.emf.ecore.EAttribute getRootExtension_Selection()

      Returns the meta object for the attribute '`Selection`'.
      Returns:
        the meta object for the attribute 'Selection'.
      See Also:
        `RootExtension.getSelection()`, `getRootExtension()`

    - #### getRootExtension_CurrentVocabularyElement

          org.eclipse.emf.ecore.EReference getRootExtension_CurrentVocabularyElement()

      Returns the meta object for the reference '`Current Vocabulary Element`'.
      Returns:
        the meta object for the reference 'Current Vocabulary Element'.
      See Also:
        `RootExtension.getCurrentVocabularyElement()`, `getRootExtension()`

    - #### getRootExtension_CurrentCustomDataType

          org.eclipse.emf.ecore.EReference getRootExtension_CurrentCustomDataType()

      Returns the meta object for the reference '`Current Custom Data Type`'.
      Returns:
        the meta object for the reference 'Current Custom Data Type'.
      See Also:
        `RootExtension.getCurrentCustomDataType()`, `getRootExtension()`

    - #### getRootExtension_CustomDataTypeDisplayCount

          org.eclipse.emf.ecore.EAttribute getRootExtension_CustomDataTypeDisplayCount()

      Returns the meta object for the attribute '`Custom Data Type Display Count`'.
      Returns:
        the meta object for the attribute 'Custom Data Type Display Count'.
      See Also:
        `RootExtension.getCustomDataTypeDisplayCount()`, `getRootExtension()`

    - #### getRootExtension_VocabularyCache

          org.eclipse.emf.ecore.EAttribute getRootExtension_VocabularyCache()

      Returns the meta object for the attribute '`Vocabulary Cache`'.
      Returns:
        the meta object for the attribute 'Vocabulary Cache'.
      See Also:
        `RootExtension.getVocabularyCache()`, `getRootExtension()`

    - #### getRootExtension_DatabaseAccess

          org.eclipse.emf.ecore.EReference getRootExtension_DatabaseAccess()

      Returns the meta object for the containment reference '`Database Access`'.
      Returns:
        the meta object for the containment reference 'Database Access'.
      See Also:
        `RootExtension.getDatabaseAccess()`, `getRootExtension()`

    - #### getRootExtension_CustomDataTypeList

          org.eclipse.emf.ecore.EReference getRootExtension_CustomDataTypeList()

      Returns the meta object for the containment reference list '`Custom Data Type List`'.
      Returns:
        the meta object for the containment reference list 'Custom Data Type List'.
      See Also:
        `RootExtension.getCustomDataTypeList()`, `getRootExtension()`

    - #### getRootExtension_ExtendedPersistentAttributes

          org.eclipse.emf.ecore.EReference getRootExtension_ExtendedPersistentAttributes()

      Returns the meta object for the containment reference list '`Extended Persistent Attributes`'.
      Returns:
        the meta object for the containment reference list 'Extended Persistent Attributes'.
      See Also:
        `RootExtension.getExtendedPersistentAttributes()`, `getRootExtension()`

    - #### getRootExtension_DatabaseMetadata

          org.eclipse.emf.ecore.EReference getRootExtension_DatabaseMetadata()

      Returns the meta object for the containment reference '`Database Metadata`'.
      Returns:
        the meta object for the containment reference 'Database Metadata'.
      See Also:
        `RootExtension.getDatabaseMetadata()`, `getRootExtension()`

    - #### getRootExtension_JavaMetadata

          org.eclipse.emf.ecore.EReference getRootExtension_JavaMetadata()

      Returns the meta object for the containment reference '`Java Metadata`'.
      Returns:
        the meta object for the containment reference 'Java Metadata'.
      See Also:
        `RootExtension.getJavaMetadata()`, `getRootExtension()`

    - #### getVocabularyProperty

          org.eclipse.emf.ecore.EClass getVocabularyProperty()

      Returns the meta object for class '`Vocabulary Property`'.
      Returns:
        the meta object for class 'Vocabulary Property'.
      See Also:
        `VocabularyProperty`

    - #### getVocabularyProperty_ManuallyCreated

          org.eclipse.emf.ecore.EAttribute getVocabularyProperty_ManuallyCreated()

      Returns the meta object for the attribute '`Manually Created`'.
      Returns:
        the meta object for the attribute 'Manually Created'.
      See Also:
        `VocabularyProperty.isManuallyCreated()`, `getVocabularyProperty()`

    - #### getVocabularyString

          org.eclipse.emf.ecore.EClass getVocabularyString()

      Returns the meta object for class '`Vocabulary String`'.
      Returns:
        the meta object for class 'Vocabulary String'.
      See Also:
        `VocabularyString`

    - #### getVocabularyString_Value

          org.eclipse.emf.ecore.EAttribute getVocabularyString_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `VocabularyString.getValue()`, `getVocabularyString()`

    - #### getVocabularyBoolean

          org.eclipse.emf.ecore.EClass getVocabularyBoolean()

      Returns the meta object for class '`Vocabulary Boolean`'.
      Returns:
        the meta object for class 'Vocabulary Boolean'.
      See Also:
        `VocabularyBoolean`

    - #### getVocabularyBoolean_Value

          org.eclipse.emf.ecore.EAttribute getVocabularyBoolean_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `VocabularyBoolean.getValue()`, `getVocabularyBoolean()`

    - #### getVocabularyValueSet

          org.eclipse.emf.ecore.EClass getVocabularyValueSet()

      Returns the meta object for class '`Vocabulary Value Set`'.
      Returns:
        the meta object for class 'Vocabulary Value Set'.
      See Also:
        `VocabularyValueSet`

    - #### getVocabularyValueSet_Value

          org.eclipse.emf.ecore.EAttribute getVocabularyValueSet_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `VocabularyValueSet.getValue()`, `getVocabularyValueSet()`

    - #### getDomainExtension

          org.eclipse.emf.ecore.EClass getDomainExtension()

      Returns the meta object for class '`Domain Extension`'.
      Returns:
        the meta object for class 'Domain Extension'.
      See Also:
        `DomainExtension`

    - #### getDatabaseAccess

          org.eclipse.emf.ecore.EClass getDatabaseAccess()

      Returns the meta object for class '`Database Access`'.
      Returns:
        the meta object for class 'Database Access'.
      See Also:
        `DatabaseAccess`

    - #### getDatabaseAccess_DatabaseId

          org.eclipse.emf.ecore.EReference getDatabaseAccess_DatabaseId()

      Returns the meta object for the containment reference '`Database Id`'.
      Returns:
        the meta object for the containment reference 'Database Id'.
      See Also:
        `DatabaseAccess.getDatabaseId()`, `getDatabaseAccess()`

    - #### getDatabaseAccess_JdbcDriverClass

          org.eclipse.emf.ecore.EReference getDatabaseAccess_JdbcDriverClass()

      Returns the meta object for the containment reference '`Jdbc Driver Class`'.
      Returns:
        the meta object for the containment reference 'Jdbc Driver Class'.
      See Also:
        `DatabaseAccess.getJdbcDriverClass()`, `getDatabaseAccess()`

    - #### getDatabaseAccess_DatabaseURL

          org.eclipse.emf.ecore.EReference getDatabaseAccess_DatabaseURL()

      Returns the meta object for the containment reference '`Database URL`'.
      Returns:
        the meta object for the containment reference 'Database URL'.
      See Also:
        `DatabaseAccess.getDatabaseURL()`, `getDatabaseAccess()`

    - #### getDatabaseAccess_Username

          org.eclipse.emf.ecore.EReference getDatabaseAccess_Username()

      Returns the meta object for the containment reference '`Username`'.
      Returns:
        the meta object for the containment reference 'Username'.
      See Also:
        `DatabaseAccess.getUsername()`, `getDatabaseAccess()`

    - #### getDatabaseAccess_Password

          org.eclipse.emf.ecore.EReference getDatabaseAccess_Password()

      Returns the meta object for the containment reference '`Password`'.
      Returns:
        the meta object for the containment reference 'Password'.
      See Also:
        `DatabaseAccess.getPassword()`, `getDatabaseAccess()`

    - #### getDatabaseAccess_DatabasePropertyDisplayCount

          org.eclipse.emf.ecore.EAttribute getDatabaseAccess_DatabasePropertyDisplayCount()

      Returns the meta object for the attribute '`Database Property Display Count`'.
      Returns:
        the meta object for the attribute 'Database Property Display Count'.
      See Also:
        `DatabaseAccess.getDatabasePropertyDisplayCount()`, `getDatabaseAccess()`

    - #### getDatabaseAccess_CatalogFilter

          org.eclipse.emf.ecore.EReference getDatabaseAccess_CatalogFilter()

      Returns the meta object for the containment reference '`Catalog Filter`'.
      Returns:
        the meta object for the containment reference 'Catalog Filter'.
      See Also:
        `DatabaseAccess.getCatalogFilter()`, `getDatabaseAccess()`

    - #### getDatabaseAccess_SchemaFilter

          org.eclipse.emf.ecore.EReference getDatabaseAccess_SchemaFilter()

      Returns the meta object for the containment reference '`Schema Filter`'.
      Returns:
        the meta object for the containment reference 'Schema Filter'.
      See Also:
        `DatabaseAccess.getSchemaFilter()`, `getDatabaseAccess()`

    - #### getDatabaseAccess_DatabasePropertyList

          org.eclipse.emf.ecore.EReference getDatabaseAccess_DatabasePropertyList()

      Returns the meta object for the containment reference list '`Database Property List`'.
      Returns:
        the meta object for the containment reference list 'Database Property List'.
      See Also:
        `DatabaseAccess.getDatabasePropertyList()`, `getDatabaseAccess()`

    - #### getDatabaseProperty

          org.eclipse.emf.ecore.EClass getDatabaseProperty()

      Returns the meta object for class '`Database Property`'.
      Returns:
        the meta object for class 'Database Property'.
      See Also:
        `DatabaseProperty`

    - #### getDatabaseProperty_Name

          org.eclipse.emf.ecore.EReference getDatabaseProperty_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `DatabaseProperty.getName()`, `getDatabaseProperty()`

    - #### getDatabaseProperty_Value

          org.eclipse.emf.ecore.EReference getDatabaseProperty_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `DatabaseProperty.getValue()`, `getDatabaseProperty()`

    - #### getCustomDataType

          org.eclipse.emf.ecore.EClass getCustomDataType()

      Returns the meta object for class '`Custom Data Type`'.
      Returns:
        the meta object for class 'Custom Data Type'.
      See Also:
        `CustomDataType`

    - #### getCustomDataType_Guid

          org.eclipse.emf.ecore.EAttribute getCustomDataType_Guid()

      Returns the meta object for the attribute '`Guid`'.
      Returns:
        the meta object for the attribute 'Guid'.
      See Also:
        `CustomDataType.getGuid()`, `getCustomDataType()`

    - #### getCustomDataType_DataTypeName

          org.eclipse.emf.ecore.EReference getCustomDataType_DataTypeName()

      Returns the meta object for the containment reference list '`Data Type Name`'.
      Returns:
        the meta object for the containment reference list 'Data Type Name'.
      See Also:
        `CustomDataType.getDataTypeName()`, `getCustomDataType()`

    - #### getCustomDataType_BaseDataType

          org.eclipse.emf.ecore.EReference getCustomDataType_BaseDataType()

      Returns the meta object for the containment reference '`Base Data Type`'.
      Returns:
        the meta object for the containment reference 'Base Data Type'.
      See Also:
        `CustomDataType.getBaseDataType()`, `getCustomDataType()`

    - #### getCustomDataType_Enumeration

          org.eclipse.emf.ecore.EReference getCustomDataType_Enumeration()

      Returns the meta object for the containment reference '`Enumeration`'.
      Returns:
        the meta object for the containment reference 'Enumeration'.
      See Also:
        `CustomDataType.getEnumeration()`, `getCustomDataType()`

    - #### getCustomDataType_ConstraintExpression

          org.eclipse.emf.ecore.EReference getCustomDataType_ConstraintExpression()

      Returns the meta object for the containment reference '`Constraint Expression`'.
      Returns:
        the meta object for the containment reference 'Constraint Expression'.
      See Also:
        `CustomDataType.getConstraintExpression()`, `getCustomDataType()`

    - #### getCustomDataType_Discovered

          org.eclipse.emf.ecore.EAttribute getCustomDataType_Discovered()

      Returns the meta object for the attribute '`Discovered`'.
      Returns:
        the meta object for the attribute 'Discovered'.
      See Also:
        `CustomDataType.isDiscovered()`, `getCustomDataType()`

    - #### getCustomDataType_EnumerationDisplayCount

          org.eclipse.emf.ecore.EAttribute getCustomDataType_EnumerationDisplayCount()

      Returns the meta object for the attribute '`Enumeration Display Count`'.
      Returns:
        the meta object for the attribute 'Enumeration Display Count'.
      See Also:
        `CustomDataType.getEnumerationDisplayCount()`, `getCustomDataType()`

    - #### getCustomDataType_DatabaseLookupProperties

          org.eclipse.emf.ecore.EReference getCustomDataType_DatabaseLookupProperties()

      Returns the meta object for the containment reference '`Database Lookup Properties`'.
      Returns:
        the meta object for the containment reference 'Database Lookup Properties'.
      See Also:
        `CustomDataType.getDatabaseLookupProperties()`, `getCustomDataType()`

    - #### getCustomDataType_EnumerationElements

          org.eclipse.emf.ecore.EReference getCustomDataType_EnumerationElements()

      Returns the meta object for the containment reference list '`Enumeration Elements`'.
      Returns:
        the meta object for the containment reference list 'Enumeration Elements'.
      See Also:
        `CustomDataType.getEnumerationElements()`, `getCustomDataType()`

    - #### getCustomDataType_EDataType

          org.eclipse.emf.ecore.EReference getCustomDataType_EDataType()

      Returns the meta object for the reference '`EData Type`'.
      Returns:
        the meta object for the reference 'EData Type'.
      See Also:
        `CustomDataType.getEDataType()`, `getCustomDataType()`

    - #### getNamedExtension

          org.eclipse.emf.ecore.EClass getNamedExtension()

      Returns the meta object for class '`Named Extension`'.
      Returns:
        the meta object for class 'Named Extension'.
      See Also:
        `NamedExtension`

    - #### getNamedExtension_Guid

          org.eclipse.emf.ecore.EAttribute getNamedExtension_Guid()

      Returns the meta object for the attribute '`Guid`'.
      Returns:
        the meta object for the attribute 'Guid'.
      See Also:
        `NamedExtension.getGuid()`, `getNamedExtension()`

    - #### getNamedExtension_Name

          org.eclipse.emf.ecore.EReference getNamedExtension_Name()

      Returns the meta object for the containment reference list '`Name`'.
      Returns:
        the meta object for the containment reference list 'Name'.
      See Also:
        `NamedExtension.getName()`, `getNamedExtension()`

    - #### getNamedExtension_Source

          org.eclipse.emf.ecore.EAttribute getNamedExtension_Source()

      Returns the meta object for the attribute '`Source`'.
      Returns:
        the meta object for the attribute 'Source'.
      See Also:
        `NamedExtension.getSource()`, `getNamedExtension()`

    - #### getVocabularyExpression

          org.eclipse.emf.ecore.EClass getVocabularyExpression()

      Returns the meta object for class '`Vocabulary Expression`'.
      Returns:
        the meta object for class 'Vocabulary Expression'.
      See Also:
        `VocabularyExpression`

    - #### getVocabularyExpression_External

          org.eclipse.emf.ecore.EAttribute getVocabularyExpression_External()

      Returns the meta object for the attribute '`External`'.
      Returns:
        the meta object for the attribute 'External'.
      See Also:
        `VocabularyExpression.getExternal()`, `getVocabularyExpression()`

    - #### getVocabularyExpression_ParserOutput

          org.eclipse.emf.ecore.EReference getVocabularyExpression_ParserOutput()

      Returns the meta object for the containment reference '`Parser Output`'.
      Returns:
        the meta object for the containment reference 'Parser Output'.
      See Also:
        `VocabularyExpression.getParserOutput()`, `getVocabularyExpression()`

    - #### getDatabaseLookupProperties

          org.eclipse.emf.ecore.EClass getDatabaseLookupProperties()

      Returns the meta object for class '`Database Lookup Properties`'.
      Returns:
        the meta object for class 'Database Lookup Properties'.
      See Also:
        `DatabaseLookupProperties`

    - #### getDatabaseLookupProperties_TableName

          org.eclipse.emf.ecore.EReference getDatabaseLookupProperties_TableName()

      Returns the meta object for the containment reference '`Table Name`'.
      Returns:
        the meta object for the containment reference 'Table Name'.
      See Also:
        `DatabaseLookupProperties.getTableName()`, `getDatabaseLookupProperties()`

    - #### getDatabaseLookupProperties_LabelsColumnName

          org.eclipse.emf.ecore.EReference getDatabaseLookupProperties_LabelsColumnName()

      Returns the meta object for the containment reference '`Labels Column Name`'.
      Returns:
        the meta object for the containment reference 'Labels Column Name'.
      See Also:
        `DatabaseLookupProperties.getLabelsColumnName()`, `getDatabaseLookupProperties()`

    - #### getDatabaseLookupProperties_ValuesColumnName

          org.eclipse.emf.ecore.EReference getDatabaseLookupProperties_ValuesColumnName()

      Returns the meta object for the containment reference '`Values Column Name`'.
      Returns:
        the meta object for the containment reference 'Values Column Name'.
      See Also:
        `DatabaseLookupProperties.getValuesColumnName()`, `getDatabaseLookupProperties()`

    - #### getEnumerationElement

          org.eclipse.emf.ecore.EClass getEnumerationElement()

      Returns the meta object for class '`Enumeration Element`'.
      Returns:
        the meta object for class 'Enumeration Element'.
      See Also:
        `EnumerationElement`

    - #### getEnumerationElement_Guid

          org.eclipse.emf.ecore.EAttribute getEnumerationElement_Guid()

      Returns the meta object for the attribute '`Guid`'.
      Returns:
        the meta object for the attribute 'Guid'.
      See Also:
        `EnumerationElement.getGuid()`, `getEnumerationElement()`

    - #### getEnumerationElement_Label

          org.eclipse.emf.ecore.EReference getEnumerationElement_Label()

      Returns the meta object for the containment reference list '`Label`'.
      Returns:
        the meta object for the containment reference list 'Label'.
      See Also:
        `EnumerationElement.getLabel()`, `getEnumerationElement()`

    - #### getEnumerationElement_Value

          org.eclipse.emf.ecore.EReference getEnumerationElement_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `EnumerationElement.getValue()`, `getEnumerationElement()`

    - #### getExtendedPersistentAttributes

          org.eclipse.emf.ecore.EClass getExtendedPersistentAttributes()

      Returns the meta object for class '`Extended Persistent Attributes`'.
      Returns:
        the meta object for class 'Extended Persistent Attributes'.
      See Also:
        `ExtendedPersistentAttributes`

    - #### getExtendedPersistentAttributes_TableName

          org.eclipse.emf.ecore.EReference getExtendedPersistentAttributes_TableName()

      Returns the meta object for the containment reference '`Table Name`'.
      Returns:
        the meta object for the containment reference 'Table Name'.
      See Also:
        `ExtendedPersistentAttributes.getTableName()`, `getExtendedPersistentAttributes()`

    - #### getExtendedPersistentAttributes_PrimaryKeyColumn

          org.eclipse.emf.ecore.EReference getExtendedPersistentAttributes_PrimaryKeyColumn()

      Returns the meta object for the containment reference '`Primary Key Column`'.
      Returns:
        the meta object for the containment reference 'Primary Key Column'.
      See Also:
        `ExtendedPersistentAttributes.getPrimaryKeyColumn()`, `getExtendedPersistentAttributes()`

    - #### getExtendedPersistentAttributes_ExtendedTableColumn

          org.eclipse.emf.ecore.EReference getExtendedPersistentAttributes_ExtendedTableColumn()

      Returns the meta object for the containment reference '`Extended Table Column`'.
      Returns:
        the meta object for the containment reference 'Extended Table Column'.
      See Also:
        `ExtendedPersistentAttributes.getExtendedTableColumn()`, `getExtendedPersistentAttributes()`

    - #### getExtendedPersistentAttributes_ExtendedAttributeColumn

          org.eclipse.emf.ecore.EReference getExtendedPersistentAttributes_ExtendedAttributeColumn()

      Returns the meta object for the containment reference '`Extended Attribute Column`'.
      Returns:
        the meta object for the containment reference 'Extended Attribute Column'.
      See Also:
        `ExtendedPersistentAttributes.getExtendedAttributeColumn()`, `getExtendedPersistentAttributes()`

    - #### getExtendedPersistentAttributes_ExtendedTypeColumn

          org.eclipse.emf.ecore.EReference getExtendedPersistentAttributes_ExtendedTypeColumn()

      Returns the meta object for the containment reference '`Extended Type Column`'.
      Returns:
        the meta object for the containment reference 'Extended Type Column'.
      See Also:
        `ExtendedPersistentAttributes.getExtendedTypeColumn()`, `getExtendedPersistentAttributes()`

    - #### getExtendedPersistentAttributes_EntityMappings

          org.eclipse.emf.ecore.EReference getExtendedPersistentAttributes_EntityMappings()

      Returns the meta object for the containment reference list '`Entity Mappings`'.
      Returns:
        the meta object for the containment reference list 'Entity Mappings'.
      See Also:
        `ExtendedPersistentAttributes.getEntityMappings()`, `getExtendedPersistentAttributes()`

    - #### getExtendedPersistentAttributes_DataTypeMappings

          org.eclipse.emf.ecore.EReference getExtendedPersistentAttributes_DataTypeMappings()

      Returns the meta object for the containment reference list '`Data Type Mappings`'.
      Returns:
        the meta object for the containment reference list 'Data Type Mappings'.
      See Also:
        `ExtendedPersistentAttributes.getDataTypeMappings()`, `getExtendedPersistentAttributes()`

    - #### getEntityMapping

          org.eclipse.emf.ecore.EClass getEntityMapping()

      Returns the meta object for class '`Entity Mapping`'.
      Returns:
        the meta object for class 'Entity Mapping'.
      See Also:
        `EntityMapping`

    - #### getEntityMapping_ExtendedTable

          org.eclipse.emf.ecore.EReference getEntityMapping_ExtendedTable()

      Returns the meta object for the containment reference '`Extended Table`'.
      Returns:
        the meta object for the containment reference 'Extended Table'.
      See Also:
        `EntityMapping.getExtendedTable()`, `getEntityMapping()`

    - #### getEntityMapping_VocabularyEntity

          org.eclipse.emf.ecore.EReference getEntityMapping_VocabularyEntity()

      Returns the meta object for the containment reference '`Vocabulary Entity`'.
      Returns:
        the meta object for the containment reference 'Vocabulary Entity'.
      See Also:
        `EntityMapping.getVocabularyEntity()`, `getEntityMapping()`

    - #### getDataTypeMapping

          org.eclipse.emf.ecore.EClass getDataTypeMapping()

      Returns the meta object for class '`Data Type Mapping`'.
      Returns:
        the meta object for class 'Data Type Mapping'.
      See Also:
        `DataTypeMapping`

    - #### getDataTypeMapping_ExtendedType

          org.eclipse.emf.ecore.EReference getDataTypeMapping_ExtendedType()

      Returns the meta object for the containment reference '`Extended Type`'.
      Returns:
        the meta object for the containment reference 'Extended Type'.
      See Also:
        `DataTypeMapping.getExtendedType()`, `getDataTypeMapping()`

    - #### getDataTypeMapping_VocabularyDataType

          org.eclipse.emf.ecore.EReference getDataTypeMapping_VocabularyDataType()

      Returns the meta object for the containment reference '`Vocabulary Data Type`'.
      Returns:
        the meta object for the containment reference 'Vocabulary Data Type'.
      See Also:
        `DataTypeMapping.getVocabularyDataType()`, `getDataTypeMapping()`

    - #### getVocabularyDataType

          org.eclipse.emf.ecore.EClass getVocabularyDataType()

      Returns the meta object for class '`Vocabulary Data Type`'.
      Returns:
        the meta object for class 'Vocabulary Data Type'.
      See Also:
        `VocabularyDataType`

    - #### getVocabularyDataType_Value

          org.eclipse.emf.ecore.EAttribute getVocabularyDataType_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `VocabularyDataType.getValue()`, `getVocabularyDataType()`

    - #### getDataType

          org.eclipse.emf.ecore.EEnum getDataType()

      Returns the meta object for enum '`Data Type`'.
      Returns:
        the meta object for enum 'Data Type'.
      See Also:
        `DataType`

    - #### getValueSet

          org.eclipse.emf.ecore.EDataType getValueSet()

      Returns the meta object for data type '`Value Set`'.
      Returns:
        the meta object for data type 'Value Set'.
      See Also:
        `ValueSet`

    - #### getSelection

          org.eclipse.emf.ecore.EDataType getSelection()

      Returns the meta object for data type '`Selection`'.
      Returns:
        the meta object for data type 'Selection'.
      See Also:
        `Selection`

    - #### getDateTime

          org.eclipse.emf.ecore.EDataType getDateTime()

      Returns the meta object for data type '`Date Time`'.
      Returns:
        the meta object for data type 'Date Time'.
      See Also:
        `Date`

    - #### getDate

          org.eclipse.emf.ecore.EDataType getDate()

      Returns the meta object for data type '`Date`'.
      Returns:
        the meta object for data type 'Date'.
      See Also:
        `Date`

    - #### getTime

          org.eclipse.emf.ecore.EDataType getTime()

      Returns the meta object for data type '`Time`'.
      Returns:
        the meta object for data type 'Time'.
      See Also:
        `Time`

    - #### getVocabularyFacade

          org.eclipse.emf.ecore.EDataType getVocabularyFacade()

      Returns the meta object for data type '`Vocabulary Facade`'.
      Returns:
        the meta object for data type 'Vocabulary Facade'.
      See Also:
        `Object`

    - #### getCanonicalvocabularymodelFactory

          CanonicalvocabularymodelFactory getCanonicalvocabularymodelFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.